vtk3DWidget <- function(.me=environment()){
  .me <- vtkInteractorObserver(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtk3DWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtk3DWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtk3DWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtk3DWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtk3DWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtk3DWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtk3DWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bounds=as.double(rep.int(1,6))){
    res<-.Call("R_vtk3DWidget_PlaceWidget",.me$obj, .bounds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtk3DWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtk3DWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProp3D <- function( ._arg=vtkProp3D()){
    check.VTK(._arg,"vtkProp3D")
    res<-.Call("R_vtk3DWidget_SetProp3D",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProp3D(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProp3D <- function(){
    res<-.Call("R_vtk3DWidget_GetProp3D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProp3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkDataSet()){
    check.VTK(._arg,"vtkDataSet")
    res<-.Call("R_vtk3DWidget_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtk3DWidget_GetInput",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaceFactor <- function( ._arg){
    res<-.Call("R_vtk3DWidget_SetPlaceFactor",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaceFactorMinValue <- function(){
    res<-.Call("R_vtk3DWidget_GetPlaceFactorMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaceFactorMaxValue <- function(){
    res<-.Call("R_vtk3DWidget_GetPlaceFactorMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaceFactor <- function(){
    res<-.Call("R_vtk3DWidget_GetPlaceFactor",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleSize <- function( ._arg){
    res<-.Call("R_vtk3DWidget_SetHandleSize",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleSizeMinValue <- function(){
    res<-.Call("R_vtk3DWidget_GetHandleSizeMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleSizeMaxValue <- function(){
    res<-.Call("R_vtk3DWidget_GetHandleSizeMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleSize <- function(){
    res<-.Call("R_vtk3DWidget_GetHandleSize",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  class(.me) <- c("vtk3DWidget",class(.me))
  return(.me)
}
