vtkCubeAxesActor2D <- function(.me=environment()){
  .me <- vtkActor2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkCubeAxesActor2D_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkCubeAxesActor2D_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkCubeAxesActor2D_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkCubeAxesActor2D(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkCubeAxesActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkCubeAxesActor2D_RenderOverlay",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkCubeAxesActor2D_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkDataSet()){
    check.VTK(._arg,"vtkDataSet")
    res<-.Call("R_vtkCubeAxesActor2D_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkDataSet(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetInput",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProp <- function( ._arg=vtkProp()){
    check.VTK(._arg,"vtkProp")
    res<-.Call("R_vtkCubeAxesActor2D_SetProp",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProp(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProp <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetProp",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProp(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkCubeAxesActor2D_SetBounds",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBounds_v1 <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetBounds_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetBounds",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v1 <- function( .xmin=as.double(rep.int(1,1)), .xmax=as.double(rep.int(1,1)), .ymin=as.double(rep.int(1,1)), .ymax=as.double(rep.int(1,1)), .zmin=as.double(rep.int(1,1)), .zmax=as.double(rep.int(1,1))){
    res<-.Call("R_vtkCubeAxesActor2D_GetBounds_v1",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBounds_v2 <- function( .bounds){
    res<-.Call("R_vtkCubeAxesActor2D_GetBounds_v2",.me$obj, .bounds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRanges <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkCubeAxesActor2D_SetRanges",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRanges_v1 <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetRanges_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRanges <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetRanges",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRanges_v1 <- function( .xmin=as.double(rep.int(1,1)), .xmax=as.double(rep.int(1,1)), .ymin=as.double(rep.int(1,1)), .ymax=as.double(rep.int(1,1)), .zmin=as.double(rep.int(1,1)), .zmax=as.double(rep.int(1,1))){
    res<-.Call("R_vtkCubeAxesActor2D_GetRanges_v1",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRanges_v2 <- function( .ranges){
    res<-.Call("R_vtkCubeAxesActor2D_GetRanges_v2",.me$obj, .ranges,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUseRanges <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetUseRanges",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUseRanges <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetUseRanges",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseRangesOn <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_UseRangesOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UseRangesOff <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_UseRangesOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCamera <- function( ._arg=vtkCamera()){
    check.VTK(._arg,"vtkCamera")
    res<-.Call("R_vtkCubeAxesActor2D_SetCamera",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkCamera(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCamera <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetCamera",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkCamera(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFlyMode <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetFlyMode",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFlyModeMinValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFlyModeMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFlyModeMaxValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFlyModeMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFlyMode <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFlyMode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFlyModeToOuterEdges <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_SetFlyModeToOuterEdges",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFlyModeToClosestTriad <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_SetFlyModeToClosestTriad",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScaling <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetScaling",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScaling <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetScaling",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingOn <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_ScalingOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingOff <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_ScalingOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfLabels <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetNumberOfLabels",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLabelsMinValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetNumberOfLabelsMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLabelsMaxValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetNumberOfLabelsMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfLabels <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetNumberOfLabels",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXLabel <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetXLabel",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXLabel <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetXLabel",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYLabel <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetYLabel",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYLabel <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetYLabel",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZLabel <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetZLabel",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZLabel <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetZLabel",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXAxisActor2D <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetXAxisActor2D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAxisActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYAxisActor2D <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetYAxisActor2D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAxisActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZAxisActor2D <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetZAxisActor2D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAxisActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAxisTitleTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkCubeAxesActor2D_SetAxisTitleTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAxisTitleTextProperty <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetAxisTitleTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAxisLabelTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkCubeAxesActor2D_SetAxisLabelTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAxisLabelTextProperty <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetAxisLabelTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelFormat <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetLabelFormat",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabelFormat <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetLabelFormat",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFontFactor <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetFontFactor",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFontFactorMinValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFontFactorMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFontFactorMaxValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFontFactorMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFontFactor <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetFontFactor",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInertia <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetInertia",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInertiaMinValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetInertiaMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInertiaMaxValue <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetInertiaMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInertia <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetInertia",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCornerOffset <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetCornerOffset",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCornerOffset <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetCornerOffset",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkCubeAxesActor2D_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Hybrid")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXAxisVisibility <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetXAxisVisibility",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXAxisVisibility <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetXAxisVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$XAxisVisibilityOn <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_XAxisVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$XAxisVisibilityOff <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_XAxisVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYAxisVisibility <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetYAxisVisibility",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYAxisVisibility <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetYAxisVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$YAxisVisibilityOn <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_YAxisVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$YAxisVisibilityOff <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_YAxisVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetZAxisVisibility <- function( ._arg){
    res<-.Call("R_vtkCubeAxesActor2D_SetZAxisVisibility",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetZAxisVisibility <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_GetZAxisVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ZAxisVisibilityOn <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_ZAxisVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ZAxisVisibilityOff <- function(){
    res<-.Call("R_vtkCubeAxesActor2D_ZAxisVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .actor=vtkCubeAxesActor2D()){
    check.VTK(.actor,"vtkCubeAxesActor2D")
    res<-.Call("R_vtkCubeAxesActor2D_ShallowCopy",.me$obj, .actor$obj,PACKAGE="RVTK.Hybrid")
    res$.actor <- vtkCubeAxesActor2D(wrapenv(res$.actor))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkCubeAxesActor2D_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkCubeAxesActor2D",class(.me))
  return(.me)
}
