vtkGridTransform <- function(.me=environment()){
  .me <- vtkWarpTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkGridTransform_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkGridTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkGridTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkGridTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkGridTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkGridTransform_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkGridTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplacementGrid <- function( ._arg=vtkImageData()){
    check.VTK(._arg,"vtkImageData")
    res<-.Call("R_vtkGridTransform_SetDisplacementGrid",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkImageData(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementGrid <- function(){
    res<-.Call("R_vtkGridTransform_GetDisplacementGrid",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplacementScale <- function( ._arg){
    res<-.Call("R_vtkGridTransform_SetDisplacementScale",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementScale <- function(){
    res<-.Call("R_vtkGridTransform_GetDisplacementScale",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplacementShift <- function( ._arg){
    res<-.Call("R_vtkGridTransform_SetDisplacementShift",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementShift <- function(){
    res<-.Call("R_vtkGridTransform_GetDisplacementShift",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationMode <- function( .mode){
    res<-.Call("R_vtkGridTransform_SetInterpolationMode",.me$obj, .mode,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationMode <- function(){
    res<-.Call("R_vtkGridTransform_GetInterpolationMode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToNearestNeighbor <- function(){
    res<-.Call("R_vtkGridTransform_SetInterpolationModeToNearestNeighbor",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToLinear <- function(){
    res<-.Call("R_vtkGridTransform_SetInterpolationModeToLinear",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInterpolationModeToCubic <- function(){
    res<-.Call("R_vtkGridTransform_SetInterpolationModeToCubic",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInterpolationModeAsString <- function(){
    res<-.Call("R_vtkGridTransform_GetInterpolationModeAsString",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkGridTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkGridTransform_GetMTime",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkGridTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkGridTransform",class(.me))
  return(.me)
}
