vtkImagePlaneWidget <- function(.me=environment()){
  .me <- vtkPolyDataSourceWidget(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkImagePlaneWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkImagePlaneWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkImagePlaneWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkImagePlaneWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkImagePlaneWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkImagePlaneWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkImagePlaneWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkImagePlaneWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkImagePlaneWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkImagePlaneWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkDataSet()){
    check.VTK(.input,"vtkDataSet")
    res<-.Call("R_vtkImagePlaneWidget_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Hybrid")
    res$.input <- vtkDataSet(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( .x, .y, .z){
    res<-.Call("R_vtkImagePlaneWidget_SetOrigin",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_SetOrigin_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetOrigin",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetOrigin_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1 <- function( .x, .y, .z){
    res<-.Call("R_vtkImagePlaneWidget_SetPoint1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_SetPoint1_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1 <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetPoint1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetPoint1_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2 <- function( .x, .y, .z){
    res<-.Call("R_vtkImagePlaneWidget_SetPoint2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_SetPoint2_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2 <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetPoint2",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetPoint2_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetCenter",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetCenter_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetNormal",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetNormal_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector1 <- function( .v1=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetVector1",.me$obj, .v1,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector2 <- function( .v2=as.double(rep.int(1,3))){
    res<-.Call("R_vtkImagePlaneWidget_GetVector2",.me$obj, .v2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSliceIndex <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetSliceIndex",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSliceIndex <- function( .index){
    res<-.Call("R_vtkImagePlaneWidget_SetSliceIndex",.me$obj, .index,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSlicePosition <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetSlicePosition",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSlicePosition <- function( .position){
    res<-.Call("R_vtkImagePlaneWidget_SetSlicePosition",.me$obj, .position,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceInterpolate <- function( .i){
    res<-.Call("R_vtkImagePlaneWidget_SetResliceInterpolate",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceInterpolate <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetResliceInterpolate",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceInterpolateToNearestNeighbour <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetResliceInterpolateToNearestNeighbour",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceInterpolateToLinear <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetResliceInterpolateToLinear",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResliceInterpolateToCubic <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetResliceInterpolateToCubic",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResliceOutput <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetResliceOutput",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkImageData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRestrictPlaneToVolume <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetRestrictPlaneToVolume",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRestrictPlaneToVolume <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRestrictPlaneToVolume",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RestrictPlaneToVolumeOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_RestrictPlaneToVolumeOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RestrictPlaneToVolumeOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_RestrictPlaneToVolumeOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetUserControlledLookupTable <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetUserControlledLookupTable",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetUserControlledLookupTable <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetUserControlledLookupTable",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UserControlledLookupTableOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_UserControlledLookupTableOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UserControlledLookupTableOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_UserControlledLookupTableOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextureInterpolate <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetTextureInterpolate",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextureInterpolate <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetTextureInterpolate",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TextureInterpolateOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_TextureInterpolateOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TextureInterpolateOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_TextureInterpolateOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextureVisibility <- function( .vis){
    res<-.Call("R_vtkImagePlaneWidget_SetTextureVisibility",.me$obj, .vis,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextureVisibility <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetTextureVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TextureVisibilityOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_TextureVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TextureVisibilityOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_TextureVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkImagePlaneWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK.Hybrid")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataSource <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetPolyDataSource",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyDataSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdatePlacement <- function(){
    res<-.Call("R_vtkImagePlaneWidget_UpdatePlacement",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTexture <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetTexture",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTexture(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetColorMap <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetColorMap",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkImageMapToColors(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetColorMap <- function( ._arg=vtkImageMapToColors()){
    check.VTK(._arg,"vtkImageMapToColors")
    res<-.Call("R_vtkImagePlaneWidget_SetColorMap",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkImageMapToColors(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetPlaneProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaneProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetPlaneProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSelectedPlaneProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetSelectedPlaneProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedPlaneProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetSelectedPlaneProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneOrientation <- function( .i){
    res<-.Call("R_vtkImagePlaneWidget_SetPlaneOrientation",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaneOrientation <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetPlaneOrientation",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneOrientationToXAxes <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetPlaneOrientationToXAxes",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneOrientationToYAxes <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetPlaneOrientationToYAxes",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneOrientationToZAxes <- function(){
    res<-.Call("R_vtkImagePlaneWidget_SetPlaneOrientationToZAxes",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPicker <- function( .picker=vtkCellPicker()){
    check.VTK(.picker,"vtkCellPicker")
    res<-.Call("R_vtkImagePlaneWidget_SetPicker",.me$obj, .picker$obj,PACKAGE="RVTK.Hybrid")
    res$.picker <- vtkCellPicker(wrapenv(res$.picker))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLookupTable <- function( .table=vtkLookupTable()){
    check.VTK(.table,"vtkLookupTable")
    res<-.Call("R_vtkImagePlaneWidget_SetLookupTable",.me$obj, .table$obj,PACKAGE="RVTK.Hybrid")
    res$.table <- vtkLookupTable(wrapenv(res$.table))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLookupTable <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLookupTable",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLookupTable(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplayText <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetDisplayText",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplayText <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetDisplayText",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayTextOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_DisplayTextOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$DisplayTextOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_DisplayTextOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCursorProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetCursorProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCursorProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetCursorProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMarginProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetMarginProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMarginProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMarginProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTextProperty <- function( .tprop=vtkTextProperty()){
    check.VTK(.tprop,"vtkTextProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetTextProperty",.me$obj, .tprop$obj,PACKAGE="RVTK.Hybrid")
    res$.tprop <- vtkTextProperty(wrapenv(res$.tprop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTextProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTexturePlaneProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkImagePlaneWidget_SetTexturePlaneProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTexturePlaneProperty <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetTexturePlaneProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetWindowLevel <- function( .window, .level){
    res<-.Call("R_vtkImagePlaneWidget_SetWindowLevel",.me$obj, .window, .level,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetWindowLevel <- function( .wl=as.double(rep.int(1,2))){
    res<-.Call("R_vtkImagePlaneWidget_GetWindowLevel",.me$obj, .wl,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCursorData <- function( .xyzv=as.double(rep.int(1,4))){
    res<-.Call("R_vtkImagePlaneWidget_GetCursorData",.me$obj, .xyzv,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInteraction <- function( .interact){
    res<-.Call("R_vtkImagePlaneWidget_SetInteraction",.me$obj, .interact,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInteraction <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetInteraction",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InteractionOn <- function(){
    res<-.Call("R_vtkImagePlaneWidget_InteractionOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InteractionOff <- function(){
    res<-.Call("R_vtkImagePlaneWidget_InteractionOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLeftButtonAction <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetLeftButtonAction",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonActionMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonActionMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonActionMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonActionMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonAction <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonAction",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMiddleButtonAction <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetMiddleButtonAction",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonActionMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonActionMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonActionMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonActionMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonAction <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonAction",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRightButtonAction <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetRightButtonAction",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonActionMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonActionMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonActionMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonActionMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonAction <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonAction",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLeftButtonAutoModifier <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetLeftButtonAutoModifier",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonAutoModifierMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonAutoModifierMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonAutoModifierMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonAutoModifierMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLeftButtonAutoModifier <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetLeftButtonAutoModifier",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMiddleButtonAutoModifier <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetMiddleButtonAutoModifier",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonAutoModifierMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonAutoModifierMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMiddleButtonAutoModifier <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetMiddleButtonAutoModifier",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRightButtonAutoModifier <- function( ._arg){
    res<-.Call("R_vtkImagePlaneWidget_SetRightButtonAutoModifier",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonAutoModifierMinValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonAutoModifierMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonAutoModifierMaxValue <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonAutoModifierMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRightButtonAutoModifier <- function(){
    res<-.Call("R_vtkImagePlaneWidget_GetRightButtonAutoModifier",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkImagePlaneWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkImagePlaneWidget",class(.me))
  return(.me)
}
