vtkPCAAnalysisFilter <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPCAAnalysisFilter_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPCAAnalysisFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPCAAnalysisFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPCAAnalysisFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPCAAnalysisFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPCAAnalysisFilter_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPCAAnalysisFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEvals <- function(){
    res<-.Call("R_vtkPCAAnalysisFilter_GetEvals",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkFloatArray(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfInputs <- function( .n){
    res<-.Call("R_vtkPCAAnalysisFilter_SetNumberOfInputs",.me$obj, .n,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .idx, .p=vtkPointSet()){
    check.VTK(.p,"vtkPointSet")
    res<-.Call("R_vtkPCAAnalysisFilter_SetInput",.me$obj, .idx, .p$obj,PACKAGE="RVTK.Hybrid")
    res$.p <- vtkPointSet(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function( .idx){
    res<-.Call("R_vtkPCAAnalysisFilter_GetOutput",.me$obj, .idx,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParameterisedShape <- function( .b=vtkFloatArray(), .shape=vtkPointSet()){
    check.VTK(.b,"vtkFloatArray")
    check.VTK(.shape,"vtkPointSet")
    res<-.Call("R_vtkPCAAnalysisFilter_GetParameterisedShape",.me$obj, .b$obj, .shape$obj,PACKAGE="RVTK.Hybrid")
    res$.b <- vtkFloatArray(wrapenv(res$.b))
    res$.shape <- vtkPointSet(wrapenv(res$.shape))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetShapeParameters <- function( .shape=vtkPointSet(), .b=vtkFloatArray(), .bsize){
    check.VTK(.shape,"vtkPointSet")
    check.VTK(.b,"vtkFloatArray")
    res<-.Call("R_vtkPCAAnalysisFilter_GetShapeParameters",.me$obj, .shape$obj, .b$obj, .bsize,PACKAGE="RVTK.Hybrid")
    res$.shape <- vtkPointSet(wrapenv(res$.shape))
    res$.b <- vtkFloatArray(wrapenv(res$.b))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function( .idx){
    res<-.Call("R_vtkPCAAnalysisFilter_GetInput",.me$obj, .idx,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetModesRequiredFor <- function( .proportion){
    res<-.Call("R_vtkPCAAnalysisFilter_GetModesRequiredFor",.me$obj, .proportion,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPCAAnalysisFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPCAAnalysisFilter",class(.me))
  return(.me)
}
