vtkPlaneWidget <- function(.me=environment()){
  .me <- vtkPolyDataSourceWidget(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPlaneWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPlaneWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPlaneWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPlaneWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPlaneWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPlaneWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPlaneWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkPlaneWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkPlaneWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkPlaneWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkPlaneWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( .r){
    res<-.Call("R_vtkPlaneWidget_SetResolution",.me$obj, .r,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function(){
    res<-.Call("R_vtkPlaneWidget_GetResolution",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneWidget_SetOrigin",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_SetOrigin_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkPlaneWidget_GetOrigin",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_GetOrigin_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneWidget_SetPoint1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_SetPoint1_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1 <- function(){
    res<-.Call("R_vtkPlaneWidget_GetPoint1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_GetPoint1_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2 <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneWidget_SetPoint2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_SetPoint2_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2 <- function(){
    res<-.Call("R_vtkPlaneWidget_GetPoint2",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_GetPoint2_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneWidget_SetCenter",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( .c=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_SetCenter_v1",.me$obj, .c,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkPlaneWidget_GetCenter",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_GetCenter_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal <- function( .x, .y, .z){
    res<-.Call("R_vtkPlaneWidget_SetNormal",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormal_v1 <- function( .n=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_SetNormal_v1",.me$obj, .n,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal <- function(){
    res<-.Call("R_vtkPlaneWidget_GetNormal",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormal_v1 <- function( .xyz=as.double(rep.int(1,3))){
    res<-.Call("R_vtkPlaneWidget_GetNormal_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentation <- function( ._arg){
    res<-.Call("R_vtkPlaneWidget_SetRepresentation",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMinValue <- function(){
    res<-.Call("R_vtkPlaneWidget_GetRepresentationMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMaxValue <- function(){
    res<-.Call("R_vtkPlaneWidget_GetRepresentationMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentation <- function(){
    res<-.Call("R_vtkPlaneWidget_GetRepresentation",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToOff <- function(){
    res<-.Call("R_vtkPlaneWidget_SetRepresentationToOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToOutline <- function(){
    res<-.Call("R_vtkPlaneWidget_SetRepresentationToOutline",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToWireframe <- function(){
    res<-.Call("R_vtkPlaneWidget_SetRepresentationToWireframe",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToSurface <- function(){
    res<-.Call("R_vtkPlaneWidget_SetRepresentationToSurface",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalToXAxis <- function( ._arg){
    res<-.Call("R_vtkPlaneWidget_SetNormalToXAxis",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalToXAxis <- function(){
    res<-.Call("R_vtkPlaneWidget_GetNormalToXAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToXAxisOn <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToXAxisOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToXAxisOff <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToXAxisOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalToYAxis <- function( ._arg){
    res<-.Call("R_vtkPlaneWidget_SetNormalToYAxis",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalToYAxis <- function(){
    res<-.Call("R_vtkPlaneWidget_GetNormalToYAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToYAxisOn <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToYAxisOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToYAxisOff <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToYAxisOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNormalToZAxis <- function( ._arg){
    res<-.Call("R_vtkPlaneWidget_SetNormalToZAxis",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNormalToZAxis <- function(){
    res<-.Call("R_vtkPlaneWidget_GetNormalToZAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToZAxisOn <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToZAxisOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NormalToZAxisOff <- function(){
    res<-.Call("R_vtkPlaneWidget_NormalToZAxisOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkPlaneWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK.Hybrid")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlane <- function( .plane=vtkPlane()){
    check.VTK(.plane,"vtkPlane")
    res<-.Call("R_vtkPlaneWidget_GetPlane",.me$obj, .plane$obj,PACKAGE="RVTK.Hybrid")
    res$.plane <- vtkPlane(wrapenv(res$.plane))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyDataSource <- function(){
    res<-.Call("R_vtkPlaneWidget_GetPolyDataSource",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyDataSource(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$UpdatePlacement <- function(){
    res<-.Call("R_vtkPlaneWidget_UpdatePlacement",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleProperty <- function(){
    res<-.Call("R_vtkPlaneWidget_GetHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedHandleProperty <- function(){
    res<-.Call("R_vtkPlaneWidget_GetSelectedHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlaneProperty <- function( ._arg=vtkProperty()){
    check.VTK(._arg,"vtkProperty")
    res<-.Call("R_vtkPlaneWidget_SetPlaneProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlaneProperty <- function(){
    res<-.Call("R_vtkPlaneWidget_GetPlaneProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedPlaneProperty <- function(){
    res<-.Call("R_vtkPlaneWidget_GetSelectedPlaneProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPlaneWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPlaneWidget",class(.me))
  return(.me)
}
