vtkPolyDataToImageStencil <- function(.me=environment()){
  .me <- vtkImageStencilSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPolyDataToImageStencil_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPolyDataToImageStencil_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPolyDataToImageStencil_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPolyDataToImageStencil_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyDataToImageStencil(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPolyDataToImageStencil_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyDataToImageStencil(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .input=vtkPolyData()){
    check.VTK(.input,"vtkPolyData")
    res<-.Call("R_vtkPolyDataToImageStencil_SetInput",.me$obj, .input$obj,PACKAGE="RVTK.Hybrid")
    res$.input <- vtkPolyData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkPolyDataToImageStencil_GetInput",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTolerance <- function( ._arg){
    res<-.Call("R_vtkPolyDataToImageStencil_SetTolerance",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTolerance <- function(){
    res<-.Call("R_vtkPolyDataToImageStencil_GetTolerance",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPolyDataToImageStencil_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPolyDataToImageStencil",class(.me))
  return(.me)
}
