vtkProcrustesAlignmentFilter <- function(.me=environment()){
  .me <- vtkSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkProcrustesAlignmentFilter_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkProcrustesAlignmentFilter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkProcrustesAlignmentFilter_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkProcrustesAlignmentFilter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProcrustesAlignmentFilter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkProcrustesAlignmentFilter_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProcrustesAlignmentFilter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLandmarkTransform <- function(){
    res<-.Call("R_vtkProcrustesAlignmentFilter_GetLandmarkTransform",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLandmarkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanPoints <- function(){
    res<-.Call("R_vtkProcrustesAlignmentFilter_GetMeanPoints",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfInputs <- function( .n){
    res<-.Call("R_vtkProcrustesAlignmentFilter_SetNumberOfInputs",.me$obj, .n,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( .idx, .p=vtkPointSet()){
    check.VTK(.p,"vtkPointSet")
    res<-.Call("R_vtkProcrustesAlignmentFilter_SetInput",.me$obj, .idx, .p$obj,PACKAGE="RVTK.Hybrid")
    res$.p <- vtkPointSet(wrapenv(res$.p))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutput <- function( .idx){
    res<-.Call("R_vtkProcrustesAlignmentFilter_GetOutput",.me$obj, .idx,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function( .idx){
    res<-.Call("R_vtkProcrustesAlignmentFilter_GetInput",.me$obj, .idx,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPointSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkProcrustesAlignmentFilter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkProcrustesAlignmentFilter",class(.me))
  return(.me)
}
