vtkPushImageReader <- function(.me=environment()){
  .me <- vtkImageReader2(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPushImageReader_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPushImageReader_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPushImageReader_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPushImageReader_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPushImageReader(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPushImageReader_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPushImageReader(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCurrentSlice <- function(){
    res<-.Call("R_vtkPushImageReader_GetCurrentSlice",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCurrentSlice <- function( ._arg){
    res<-.Call("R_vtkPushImageReader_SetCurrentSlice",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function(){
    res<-.Call("R_vtkPushImageReader_Push",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Run <- function(){
    res<-.Call("R_vtkPushImageReader_Run",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPushPipeline <- function( .pp=vtkPushPipeline()){
    check.VTK(.pp,"vtkPushPipeline")
    res<-.Call("R_vtkPushImageReader_SetPushPipeline",.me$obj, .pp$obj,PACKAGE="RVTK.Hybrid")
    res$.pp <- vtkPushPipeline(wrapenv(res$.pp))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPushPipeline <- function(){
    res<-.Call("R_vtkPushImageReader_GetPushPipeline",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPushPipeline(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPushImageReader_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPushImageReader",class(.me))
  return(.me)
}
