vtkRIBProperty <- function(.me=environment()){
  .me <- vtkProperty(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkRIBProperty_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkRIBProperty_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkRIBProperty_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkRIBProperty_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkRIBProperty(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkRIBProperty_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkRIBProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSurfaceShader <- function( ._arg){
    res<-.Call("R_vtkRIBProperty_SetSurfaceShader",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSurfaceShader <- function(){
    res<-.Call("R_vtkRIBProperty_GetSurfaceShader",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDisplacementShader <- function( ._arg){
    res<-.Call("R_vtkRIBProperty_SetDisplacementShader",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementShader <- function(){
    res<-.Call("R_vtkRIBProperty_GetDisplacementShader",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVariable <- function( .variable, .value){
    res<-.Call("R_vtkRIBProperty_SetVariable",.me$obj, .variable, .value,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddVariable <- function( .variable, .value){
    res<-.Call("R_vtkRIBProperty_AddVariable",.me$obj, .variable, .value,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDeclarations <- function(){
    res<-.Call("R_vtkRIBProperty_GetDeclarations",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetParameter <- function( .parameter, .value){
    res<-.Call("R_vtkRIBProperty_SetParameter",.me$obj, .parameter, .value,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddParameter <- function( .Parameter, .value){
    res<-.Call("R_vtkRIBProperty_AddParameter",.me$obj, .Parameter, .value,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetParameters <- function(){
    res<-.Call("R_vtkRIBProperty_GetParameters",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkRIBProperty_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkRIBProperty",class(.me))
  return(.me)
}
