vtkThinPlateSplineTransform <- function(.me=environment()){
  .me <- vtkWarpTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkThinPlateSplineTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkThinPlateSplineTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkThinPlateSplineTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkThinPlateSplineTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkThinPlateSplineTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSigma <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetSigma",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSigma <- function( ._arg){
    res<-.Call("R_vtkThinPlateSplineTransform_SetSigma",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBasis <- function( .basis){
    res<-.Call("R_vtkThinPlateSplineTransform_SetBasis",.me$obj, .basis,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBasis <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetBasis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBasisToR <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_SetBasisToR",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBasisToR2LogR <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_SetBasisToR2LogR",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBasisAsString <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetBasisAsString",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSourceLandmarks <- function( .source=vtkPoints()){
    check.VTK(.source,"vtkPoints")
    res<-.Call("R_vtkThinPlateSplineTransform_SetSourceLandmarks",.me$obj, .source$obj,PACKAGE="RVTK.Hybrid")
    res$.source <- vtkPoints(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSourceLandmarks <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetSourceLandmarks",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTargetLandmarks <- function( .target=vtkPoints()){
    check.VTK(.target,"vtkPoints")
    res<-.Call("R_vtkThinPlateSplineTransform_SetTargetLandmarks",.me$obj, .target$obj,PACKAGE="RVTK.Hybrid")
    res$.target <- vtkPoints(wrapenv(res$.target))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTargetLandmarks <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetTargetLandmarks",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPoints(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_GetMTime",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkThinPlateSplineTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkThinPlateSplineTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkThinPlateSplineTransform",class(.me))
  return(.me)
}
