vtkTransformToGrid <- function(.me=environment()){
  .me <- vtkImageSource(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkTransformToGrid_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkTransformToGrid_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkTransformToGrid_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkTransformToGrid_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTransformToGrid(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkTransformToGrid_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTransformToGrid(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInput <- function( ._arg=vtkAbstractTransform()){
    check.VTK(._arg,"vtkAbstractTransform")
    res<-.Call("R_vtkTransformToGrid_SetInput",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkAbstractTransform(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInput <- function(){
    res<-.Call("R_vtkTransformToGrid_GetInput",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridExtent <- function( ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6){
    res<-.Call("R_vtkTransformToGrid_SetGridExtent",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridExtent_v1 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_SetGridExtent_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridExtent <- function(){
    res<-.Call("R_vtkTransformToGrid_GetGridExtent",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridExtent_v1 <- function( ._arg1=as.integer(rep.int(1,1)), ._arg2=as.integer(rep.int(1,1)), ._arg3=as.integer(rep.int(1,1)), ._arg4=as.integer(rep.int(1,1)), ._arg5=as.integer(rep.int(1,1)), ._arg6=as.integer(rep.int(1,1))){
    res<-.Call("R_vtkTransformToGrid_GetGridExtent_v1",.me$obj, ._arg1, ._arg2, ._arg3, ._arg4, ._arg5, ._arg6,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridExtent_v2 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_GetGridExtent_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkTransformToGrid_SetGridOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_SetGridOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridOrigin <- function(){
    res<-.Call("R_vtkTransformToGrid_GetGridOrigin",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridOrigin_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkTransformToGrid_GetGridOrigin_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridOrigin_v2 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_GetGridOrigin_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridSpacing <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkTransformToGrid_SetGridSpacing",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridSpacing_v1 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_SetGridSpacing_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridSpacing <- function(){
    res<-.Call("R_vtkTransformToGrid_GetGridSpacing",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridSpacing_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkTransformToGrid_GetGridSpacing_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridSpacing_v2 <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_GetGridSpacing_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarType <- function( ._arg){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarType",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGridScalarType <- function(){
    res<-.Call("R_vtkTransformToGrid_GetGridScalarType",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarTypeToFloat <- function(){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarTypeToFloat",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarTypeToShort <- function(){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarTypeToShort",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarTypeToUnsignedShort <- function(){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarTypeToUnsignedShort",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarTypeToUnsignedChar <- function(){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarTypeToUnsignedChar",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGridScalarTypeToChar <- function(){
    res<-.Call("R_vtkTransformToGrid_SetGridScalarTypeToChar",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementScale <- function(){
    res<-.Call("R_vtkTransformToGrid_GetDisplacementScale",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDisplacementShift <- function(){
    res<-.Call("R_vtkTransformToGrid_GetDisplacementShift",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkTransformToGrid_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkTransformToGrid",class(.me))
  return(.me)
}
