vtkVRMLImporter <- function(.me=environment()){
  .me <- vtkImporter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkVRMLImporter_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkVRMLImporter_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkVRMLImporter_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkVRMLImporter_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkVRMLImporter(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkVRMLImporter_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkVRMLImporter(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVRMLDEFObject <- function( .name){
    res<-.Call("R_vtkVRMLImporter_GetVRMLDEFObject",.me$obj, .name,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkObject(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$enterNode <- function( .nodeType){
    res<-.Call("R_vtkVRMLImporter_enterNode",.me$obj, .nodeType,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$exitNode <- function(){
    res<-.Call("R_vtkVRMLImporter_exitNode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$enterField <- function( .fieldName){
    res<-.Call("R_vtkVRMLImporter_enterField",.me$obj, .fieldName,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$exitField <- function(){
    res<-.Call("R_vtkVRMLImporter_exitField",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$useNode <- function( .name){
    res<-.Call("R_vtkVRMLImporter_useNode",.me$obj, .name,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetFileName <- function( ._arg){
    res<-.Call("R_vtkVRMLImporter_SetFileName",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFileName <- function(){
    res<-.Call("R_vtkVRMLImporter_GetFileName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkVRMLImporter_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkVRMLImporter",class(.me))
  return(.me)
}
