#include <vtk/vtkBoxWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkBoxWidget_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkBoxWidget *  _res =( vtkBoxWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkBoxWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkBoxWidget *  _res =( vtkBoxWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkBoxWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetEnabled( SEXP obj, SEXP enabling){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_PlaceWidget( SEXP obj, SEXP bds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_PlaceWidget_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetPlanes( SEXP obj, SEXP planes){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlanes  *  _planes = (vtkPlanes * )  SexpToVtk(planes);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->GetPlanes(_planes);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_planes,"vtkPlanes"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".planes",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetInsideOut( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetInsideOut( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetInsideOut( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetInsideOut();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_InsideOutOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->InsideOutOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_InsideOutOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->InsideOutOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetTransform( SEXP obj, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTransform  *  _t = (vtkTransform * )  SexpToVtk(t);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->GetTransform(_t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetTransform( SEXP obj, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTransform  *  _t = (vtkTransform * )  SexpToVtk(t);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetTransform(_t);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_t,"vtkTransform"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".t",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetPolyData( SEXP obj, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetHandleProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetSelectedHandleProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_HandlesOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->HandlesOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_HandlesOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->HandlesOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetFaceProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetFaceProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetSelectedFaceProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedFaceProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetOutlineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetOutlineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetSelectedOutlineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedOutlineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetOutlineFaceWires( SEXP obj, SEXP newValue){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(newValue,1);
     int  *  _newValue =  SexpToint(newValue);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetOutlineFaceWires( * _newValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetOutlineFaceWires( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetOutlineFaceWires();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_OutlineFaceWiresOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->OutlineFaceWiresOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_OutlineFaceWiresOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->OutlineFaceWiresOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetOutlineCursorWires( SEXP obj, SEXP newValue){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(newValue,1);
     int  *  _newValue =  SexpToint(newValue);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetOutlineCursorWires( * _newValue);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetOutlineCursorWires( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetOutlineCursorWires();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_OutlineCursorWiresOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->OutlineCursorWiresOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_OutlineCursorWiresOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->OutlineCursorWiresOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetTranslationEnabled( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetTranslationEnabled( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetTranslationEnabled( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetTranslationEnabled();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_TranslationEnabledOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->TranslationEnabledOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_TranslationEnabledOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->TranslationEnabledOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetScalingEnabled( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetScalingEnabled( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetScalingEnabled( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetScalingEnabled();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_ScalingEnabledOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->ScalingEnabledOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_ScalingEnabledOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->ScalingEnabledOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_SetRotationEnabled( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->SetRotationEnabled( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_GetRotationEnabled( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRotationEnabled();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_RotationEnabledOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->RotationEnabledOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_RotationEnabledOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkBoxWidget * _obj = (vtkBoxWidget * ) SexpToVtk(obj);
    _obj->RotationEnabledOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkBoxWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkBoxWidget * res= ( vtkBoxWidget * ) vtkBoxWidget::New();
    R_res=toRPointer(res,"vtkBoxWidget");
    return(R_res);
  }
}
