#include <vtk/vtkGridTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkGridTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    vtkGridTransform *  _res =( vtkGridTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkGridTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    vtkGridTransform *  _res =( vtkGridTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkGridTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetDisplacementGrid( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageData  *  __arg = (vtkImageData * )  SexpToVtk(_arg);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetDisplacementGrid(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImageData"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetDisplacementGrid( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetDisplacementGrid();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetDisplacementScale( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetDisplacementScale( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetDisplacementScale( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    double _res =_obj->GetDisplacementScale();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetDisplacementShift( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetDisplacementShift( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetDisplacementShift( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    double _res =_obj->GetDisplacementShift();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetInterpolationMode( SEXP obj, SEXP mode){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(mode,1);
     int  *  _mode =  SexpToint(mode);
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetInterpolationMode( * _mode);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetInterpolationMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    int _res =_obj->GetInterpolationMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetInterpolationModeToNearestNeighbor( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetInterpolationModeToNearestNeighbor();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetInterpolationModeToLinear( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetInterpolationModeToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_SetInterpolationModeToCubic( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    _obj->SetInterpolationModeToCubic();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetInterpolationModeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetInterpolationModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkGridTransform * _obj = (vtkGridTransform * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkGridTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkGridTransform * res= ( vtkGridTransform * ) vtkGridTransform::New();
    R_res=toRPointer(res,"vtkGridTransform");
    return(R_res);
  }
}
