#include <vtk/vtkImageToPolyDataFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageToPolyDataFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    vtkImageToPolyDataFilter *  _res =( vtkImageToPolyDataFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageToPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    vtkImageToPolyDataFilter *  _res =( vtkImageToPolyDataFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageToPolyDataFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetOutputStyle( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputStyle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetOutputStyleMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputStyleMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetOutputStyleMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputStyleMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetOutputStyle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetOutputStyle();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetOutputStyleToPixelize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputStyleToPixelize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetOutputStyleToPolygonalize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputStyleToPolygonalize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetOutputStyleToRunLength( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetOutputStyleToRunLength();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetColorMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetColorMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetColorModeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetColorModeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetColorMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetColorMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetColorModeToLUT( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetColorModeToLUT();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetColorModeToLinear256( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetColorModeToLinear256();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetLookupTable( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkScalarsToColors  *  __arg = (vtkScalarsToColors * )  SexpToVtk(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetLookupTable(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkScalarsToColors"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    vtkScalarsToColors *  _res =( vtkScalarsToColors * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkScalarsToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetSmoothing( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetSmoothing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetSmoothing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetSmoothing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SmoothingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SmoothingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SmoothingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SmoothingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetNumberOfSmoothingIterations( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfSmoothingIterations( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSmoothingIterationsMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterationsMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSmoothingIterationsMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetNumberOfSmoothingIterations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfSmoothingIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetDecimation( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetDecimation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetDecimation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetDecimation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_DecimationOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->DecimationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_DecimationOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->DecimationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetDecimationError( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetDecimationError( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetDecimationErrorMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetDecimationErrorMinValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetDecimationErrorMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetDecimationErrorMaxValue();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetDecimationError( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    double _res =_obj->GetDecimationError();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetError( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetError( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetErrorMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetErrorMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetErrorMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetErrorMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetError( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetError();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_SetSubImageSize( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    _obj->SetSubImageSize( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetSubImageSizeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetSubImageSizeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetSubImageSizeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetSubImageSizeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_GetSubImageSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * _obj = (vtkImageToPolyDataFilter
 * ) SexpToVtk(obj);
    int _res =_obj->GetSubImageSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageToPolyDataFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageToPolyDataFilter * res= ( vtkImageToPolyDataFilter * ) 
vtkImageToPolyDataFilter::New();
    R_res=toRPointer(res,"vtkImageToPolyDataFilter");
    return(R_res);
  }
}
