#include <vtk/vtkImageTracerWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImageTracerWidget_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkImageTracerWidget *  _res =( vtkImageTracerWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImageTracerWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkImageTracerWidget *  _res =( vtkImageTracerWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImageTracerWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetEnabled( SEXP obj, SEXP enabling){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_PlaceWidget( SEXP obj, SEXP bds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_PlaceWidget_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetHandleProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetHandleProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetHandleProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetSelectedHandleProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetSelectedHandleProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetSelectedHandleProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedHandleProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetLineProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetLineProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetLineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetLineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetSelectedLineProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetSelectedLineProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetSelectedLineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedLineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProp( SEXP obj, SEXP prop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProp  *  _prop = (vtkProp * )  SexpToVtk(prop);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProp(_prop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_prop,"vtkProp"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".prop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectToPlane( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectToPlane( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetProjectToPlane( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectToPlane();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_ProjectToPlaneOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->ProjectToPlaneOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_ProjectToPlaneOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->ProjectToPlaneOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectionNormal( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormal( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetProjectionNormalMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormalMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetProjectionNormalMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormalMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetProjectionNormal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetProjectionNormal();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectionNormalToXAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToXAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectionNormalToYAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToYAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectionNormalToZAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectionNormalToZAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetProjectionPosition( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetProjectionPosition( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetProjectionPosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    double _res =_obj->GetProjectionPosition();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetSnapToImage( SEXP obj, SEXP snap){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(snap,1);
     int  *  _snap =  SexpToint(snap);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetSnapToImage( * _snap);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetSnapToImage( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetSnapToImage();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SnapToImageOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SnapToImageOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SnapToImageOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SnapToImageOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetAutoClose( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetAutoClose( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetAutoClose( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetAutoClose();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_AutoCloseOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->AutoCloseOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_AutoCloseOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->AutoCloseOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetGlyphAngle( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetGlyphAngle( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetGlyphAngle( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    double _res =_obj->GetGlyphAngle();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetCaptureRadius( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetCaptureRadius( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetCaptureRadius( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    double _res =_obj->GetCaptureRadius();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetPath( SEXP obj, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->GetPath(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetGlyphSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    vtkGlyphSource2D *  _res =( vtkGlyphSource2D * )_obj->GetGlyphSource();
    res=VtkToSexp(_res,"vtkGlyphSource2D");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetImageSnapType( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetImageSnapType( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetImageSnapTypeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetImageSnapTypeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetImageSnapTypeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetImageSnapTypeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetImageSnapType( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetImageSnapType();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetHandlePosition( SEXP obj, SEXP handle, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetHandlePosition( * _handle, _xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetHandlePosition_v1( SEXP obj, SEXP handle, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetHandlePosition( * _handle,  * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetHandlePosition( SEXP obj, SEXP handle, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->GetHandlePosition( * _handle, _xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetHandlePosition_v1( SEXP obj, SEXP handle){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(handle,1);
     int  *  _handle =  SexpToint(handle);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetHandlePosition( * _handle);
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetNumberOfHandles( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfHandles();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_SetInteraction( SEXP obj, SEXP interact){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(interact,1);
     int  *  _interact =  SexpToint(interact);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->SetInteraction( * _interact);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetInteraction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetInteraction();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_InteractionOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->InteractionOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_InteractionOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->InteractionOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_InitializeHandles( SEXP obj, SEXP points){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _points = (vtkPoints * )  SexpToVtk(points);
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    _obj->InitializeHandles(_points);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_points,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".points",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_GetIsClosed( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImageTracerWidget * _obj = (vtkImageTracerWidget * ) SexpToVtk(obj);
    int _res =_obj->GetIsClosed();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImageTracerWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImageTracerWidget * res= ( vtkImageTracerWidget * ) vtkImageTracerWidget
::New();
    R_res=toRPointer(res,"vtkImageTracerWidget");
    return(R_res);
  }
}
