#include <vtk/vtkIterativeClosestPointTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkIterativeClosestPointTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkIterativeClosestPointTransform *  _res =( vtkIterativeClosestPointTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkIterativeClosestPointTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkIterativeClosestPointTransform *  _res =( vtkIterativeClosestPointTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkIterativeClosestPointTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetSource( SEXP obj, SEXP source){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _source = (vtkDataSet * )  SexpToVtk(source);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetSource(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetTarget( SEXP obj, SEXP target){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _target = (vtkDataSet * )  SexpToVtk(target);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetTarget(_target);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_target,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".target",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetSource();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetTarget( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkDataSet *  _res =( vtkDataSet * )_obj->GetTarget();
    res=VtkToSexp(_res,"vtkDataSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetLocator( SEXP obj, SEXP locator){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellLocator  *  _locator = (vtkCellLocator * )  SexpToVtk(locator);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetLocator(_locator);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_locator,"vtkCellLocator"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".locator",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetLocator( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkCellLocator *  _res =( vtkCellLocator * )_obj->GetLocator();
    res=VtkToSexp(_res,"vtkCellLocator");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMaximumNumberOfIterations( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfIterations( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMaximumNumberOfIterations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetNumberOfIterations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfIterations();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetCheckMeanDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetCheckMeanDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetCheckMeanDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetCheckMeanDistance();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_CheckMeanDistanceOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->CheckMeanDistanceOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_CheckMeanDistanceOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->CheckMeanDistanceOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMeanDistanceMode( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMeanDistanceMode( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetMeanDistanceModeMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetMeanDistanceModeMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMeanDistanceMode( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetMeanDistanceMode();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMeanDistanceModeToRMS();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMeanDistanceModeToAbsoluteValue();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMeanDistanceModeAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetMeanDistanceModeAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMaximumMeanDistance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMaximumMeanDistance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMaximumMeanDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    double _res =_obj->GetMaximumMeanDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMeanDistance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    double _res =_obj->GetMeanDistance();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetMaximumNumberOfLandmarks( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetMaximumNumberOfLandmarks();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_SetStartByMatchingCentroids( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->SetStartByMatchingCentroids( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetStartByMatchingCentroids( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    int _res =_obj->GetStartByMatchingCentroids();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->StartByMatchingCentroidsOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->StartByMatchingCentroidsOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_GetLandmarkTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkLandmarkTransform *  _res =( vtkLandmarkTransform * )_obj->GetLandmarkTransform();
    res=VtkToSexp(_res,"vtkLandmarkTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_Inverse( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    _obj->Inverse();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * _obj = (
vtkIterativeClosestPointTransform * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkIterativeClosestPointTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkIterativeClosestPointTransform * res= ( vtkIterativeClosestPointTransform
 * ) vtkIterativeClosestPointTransform::New();
    R_res=toRPointer(res,"vtkIterativeClosestPointTransform");
    return(R_res);
  }
}
