#include <vtk/vtkPCAAnalysisFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPCAAnalysisFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    vtkPCAAnalysisFilter *  _res =( vtkPCAAnalysisFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPCAAnalysisFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    vtkPCAAnalysisFilter *  _res =( vtkPCAAnalysisFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPCAAnalysisFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetEvals( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    vtkFloatArray *  _res =( vtkFloatArray * )_obj->GetEvals();
    res=VtkToSexp(_res,"vtkFloatArray");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_SetNumberOfInputs( SEXP obj, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    _obj->SetNumberOfInputs( * _n);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_SetInput( SEXP obj, SEXP idx, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     vtkPointSet  *  _p = (vtkPointSet * )  SexpToVtk(p);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    _obj->SetInput( * _idx, _p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetOutput( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetParameterisedShape( SEXP obj, SEXP b, SEXP shape){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkFloatArray  *  _b = (vtkFloatArray * )  SexpToVtk(b);
     vtkPointSet  *  _shape = (vtkPointSet * )  SexpToVtk(shape);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    _obj->GetParameterisedShape(_b, _shape);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_b,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".b",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_shape,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".shape",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetShapeParameters( SEXP obj, SEXP shape, SEXP b, SEXP bsize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPointSet  *  _shape = (vtkPointSet * )  SexpToVtk(shape);
     vtkFloatArray  *  _b = (vtkFloatArray * )  SexpToVtk(b);
    SET_LENGTH(bsize,1);
     int  *  _bsize =  SexpToint(bsize);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    _obj->GetShapeParameters(_shape, _b,  * _bsize);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_shape,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".shape",0));
    SET_VECTOR_ELT(ans,2,VtkToSexp(_b,"vtkFloatArray"));
    SET_VECTOR_ELT(res_names,2,charToSexp(".b",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetInput( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetInput( * _idx);
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_GetModesRequiredFor( SEXP obj, SEXP proportion){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(proportion,1);
     double  *  _proportion =  SexpTodouble(proportion);
    vtkPCAAnalysisFilter * _obj = (vtkPCAAnalysisFilter * ) SexpToVtk(obj);
    int _res =_obj->GetModesRequiredFor( * _proportion);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPCAAnalysisFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPCAAnalysisFilter * res= ( vtkPCAAnalysisFilter * ) vtkPCAAnalysisFilter
::New();
    R_res=toRPointer(res,"vtkPCAAnalysisFilter");
    return(R_res);
  }
}
