#include <vtk/vtkThinPlateSplineTransform.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkThinPlateSplineTransform_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    vtkThinPlateSplineTransform *  _res =( vtkThinPlateSplineTransform * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkThinPlateSplineTransform");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    vtkThinPlateSplineTransform *  _res =( vtkThinPlateSplineTransform * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkThinPlateSplineTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetSigma( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    double _res =_obj->GetSigma();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetSigma( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     double  *  __arg =  SexpTodouble(_arg);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetSigma( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetBasis( SEXP obj, SEXP basis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(basis,1);
     int  *  _basis =  SexpToint(basis);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetBasis( * _basis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetBasis( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    int _res =_obj->GetBasis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetBasisToR( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetBasisToR();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetBasisToR2LogR( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetBasisToR2LogR();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetBasisAsString( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetBasisAsString();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetSourceLandmarks( SEXP obj, SEXP source){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _source = (vtkPoints * )  SexpToVtk(source);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetSourceLandmarks(_source);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_source,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".source",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetSourceLandmarks( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetSourceLandmarks();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_SetTargetLandmarks( SEXP obj, SEXP target){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPoints  *  _target = (vtkPoints * )  SexpToVtk(target);
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    _obj->SetTargetLandmarks(_target);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_target,"vtkPoints"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".target",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetTargetLandmarks( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetTargetLandmarks();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_GetMTime( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    long unsigned int _res =_obj->GetMTime();
    res=long_unsigned_intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_MakeTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * _obj = (vtkThinPlateSplineTransform
 * ) SexpToVtk(obj);
    vtkAbstractTransform *  _res =( vtkAbstractTransform * )_obj->MakeTransform();
    res=VtkToSexp(_res,"vtkAbstractTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkThinPlateSplineTransform_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkThinPlateSplineTransform * res= ( vtkThinPlateSplineTransform * ) 
vtkThinPlateSplineTransform::New();
    R_res=toRPointer(res,"vtkThinPlateSplineTransform");
    return(R_res);
  }
}
