#include <vtk/vtkVideoSource.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkVideoSource_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    vtkVideoSource *  _res =( vtkVideoSource * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkVideoSource");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    vtkVideoSource *  _res =( vtkVideoSource * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkVideoSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Record( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Record();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Play( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Play();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Stop( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Stop();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Rewind( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Rewind();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_FastForward( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->FastForward();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Seek( SEXP obj, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Seek( * _n);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Grab( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Grab();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetRecording( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetRecording();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetPlaying( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetPlaying();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetFrameSize( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     int  *  _x =  SexpToint(x);
    SET_LENGTH(y,1);
     int  *  _y =  SexpToint(y);
    SET_LENGTH(z,1);
     int  *  _z =  SexpToint(z);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetFrameSize( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetFrameSize_v1( SEXP obj, SEXP dim){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(dim,3);
     int  *  _dim =  SexpToint(dim);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetFrameSize(_dim);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_dim,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".dim",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetFrameSize();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameSize_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetFrameSize( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameSize_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetFrameSize(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetFrameRate( SEXP obj, SEXP rate){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(rate,1);
     float  *  _rate =  SexpTofloat(rate);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetFrameRate( * _rate);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameRate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    float _res =_obj->GetFrameRate();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputFormat( SEXP obj, SEXP format){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(format,1);
     int  *  _format =  SexpToint(format);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputFormat( * _format);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputFormatToLuminance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputFormatToLuminance();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputFormatToRGB( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputFormatToRGB();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputFormatToRGBA( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputFormatToRGBA();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetOutputFormat( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetOutputFormat();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetFrameBufferSize( SEXP obj, SEXP bufsize){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bufsize,1);
     int  *  _bufsize =  SexpToint(bufsize);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetFrameBufferSize( * _bufsize);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameBufferSize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetFrameBufferSize();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetNumberOfOutputFrames( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetNumberOfOutputFrames( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetNumberOfOutputFrames( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetNumberOfOutputFrames();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_AutoAdvanceOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->AutoAdvanceOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_AutoAdvanceOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->AutoAdvanceOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetAutoAdvance( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetAutoAdvance( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetAutoAdvance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetAutoAdvance();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetClipRegion( SEXP obj, SEXP r){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(r,6);
     int  *  _r =  SexpToint(r);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetClipRegion(_r);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(_r,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".r",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetClipRegion_v1( SEXP obj, SEXP x0, SEXP x1, SEXP y0, SEXP y1, SEXP z0, SEXP z1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x0,1);
     int  *  _x0 =  SexpToint(x0);
    SET_LENGTH(x1,1);
     int  *  _x1 =  SexpToint(x1);
    SET_LENGTH(y0,1);
     int  *  _y0 =  SexpToint(y0);
    SET_LENGTH(y1,1);
     int  *  _y1 =  SexpToint(y1);
    SET_LENGTH(z0,1);
     int  *  _z0 =  SexpToint(z0);
    SET_LENGTH(z1,1);
     int  *  _z1 =  SexpToint(z1);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetClipRegion( * _x0,  * _x1,  * _y0,  * _y1,  * _z0,  * _z1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetClipRegion( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetClipRegion();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetClipRegion_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetClipRegion( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetClipRegion_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetClipRegion(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputWholeExtent( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputWholeExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOutputWholeExtent_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOutputWholeExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetOutputWholeExtent( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int *  _res =( int * )_obj->GetOutputWholeExtent();
    res=intToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetOutputWholeExtent_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3, SEXP _arg4, SEXP _arg5, SEXP _arg6){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     int  *  __arg1 =  SexpToint(_arg1);
    SET_LENGTH(_arg2,1);
     int  *  __arg2 =  SexpToint(_arg2);
    SET_LENGTH(_arg3,1);
     int  *  __arg3 =  SexpToint(_arg3);
    SET_LENGTH(_arg4,1);
     int  *  __arg4 =  SexpToint(_arg4);
    SET_LENGTH(_arg5,1);
     int  *  __arg5 =  SexpToint(_arg5);
    SET_LENGTH(_arg6,1);
     int  *  __arg6 =  SexpToint(_arg6);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetOutputWholeExtent( * __arg1,  * __arg2,  * __arg3,  * __arg4,  * __arg5,  * __arg6);
    PROTECT(ans = allocVector(VECSXP,7));
    PROTECT(res_names = allocVector(VECSXP,7));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,intToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,intToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    SET_VECTOR_ELT(ans,4,intToSexp(__arg4,1));
    SET_VECTOR_ELT(res_names,4,charToSexp("._arg4",0));
    SET_VECTOR_ELT(ans,5,intToSexp(__arg5,1));
    SET_VECTOR_ELT(res_names,5,charToSexp("._arg5",0));
    SET_VECTOR_ELT(ans,6,intToSexp(__arg6,1));
    SET_VECTOR_ELT(res_names,6,charToSexp("._arg6",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetOutputWholeExtent_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetOutputWholeExtent(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,intToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetDataSpacing( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetDataSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetDataSpacing_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetDataSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataSpacing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataSpacing();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataSpacing_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetDataSpacing( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataSpacing_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetDataSpacing(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetDataOrigin( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetDataOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetDataOrigin_v1( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetDataOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetDataOrigin();
    res=doubleToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataOrigin_v1( SEXP obj, SEXP _arg1, SEXP _arg2, SEXP _arg3){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg1,1);
     double  *  __arg1 =  SexpTodouble(_arg1);
    SET_LENGTH(_arg2,1);
     double  *  __arg2 =  SexpTodouble(_arg2);
    SET_LENGTH(_arg3,1);
     double  *  __arg3 =  SexpTodouble(_arg3);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetDataOrigin( * __arg1,  * __arg2,  * __arg3);
    PROTECT(ans = allocVector(VECSXP,4));
    PROTECT(res_names = allocVector(VECSXP,4));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg1,1));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg1",0));
    SET_VECTOR_ELT(ans,2,doubleToSexp(__arg2,1));
    SET_VECTOR_ELT(res_names,2,charToSexp("._arg2",0));
    SET_VECTOR_ELT(ans,3,doubleToSexp(__arg3,1));
    SET_VECTOR_ELT(res_names,3,charToSexp("._arg3",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetDataOrigin_v2( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     double  *  __arg =  SexpTodouble(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->GetDataOrigin(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(__arg,LENGTH(_arg)));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetOpacity( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     float  *  __arg =  SexpTofloat(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetOpacity( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetOpacity( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    float _res =_obj->GetOpacity();
    res=floatToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameCount( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetFrameCount();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetFrameCount( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetFrameCount( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameIndex( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetFrameIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameTimeStamp( SEXP obj, SEXP frame){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(frame,1);
     int  *  _frame =  SexpToint(frame);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    double _res =_obj->GetFrameTimeStamp( * _frame);
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetFrameTimeStamp_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    double _res =_obj->GetFrameTimeStamp();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_Initialize( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->Initialize();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetInitialized( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    int _res =_obj->GetInitialized();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_ReleaseSystemResources( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->ReleaseSystemResources();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_InternalGrab( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->InternalGrab();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_SetStartTimeStamp( SEXP obj, SEXP t){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(t,1);
     double  *  _t =  SexpTodouble(t);
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    _obj->SetStartTimeStamp( * _t);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_GetStartTimeStamp( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkVideoSource * _obj = (vtkVideoSource * ) SexpToVtk(obj);
    double _res =_obj->GetStartTimeStamp();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkVideoSource_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkVideoSource * res= ( vtkVideoSource * ) vtkVideoSource::New();
    R_res=toRPointer(res,"vtkVideoSource");
    return(R_res);
  }
}
