vtkBoxWidget <- function(.me=environment()){
  .me <- vtk3DWidget(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkBoxWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkBoxWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkBoxWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkBoxWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkBoxWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkBoxWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkBoxWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkBoxWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkBoxWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkBoxWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkBoxWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlanes <- function( .planes=vtkPlanes()){
    check.VTK(.planes,"vtkPlanes")
    res<-.Call("R_vtkBoxWidget_GetPlanes",.me$obj, .planes$obj,PACKAGE="RVTK.Hybrid")
    res$.planes <- vtkPlanes(wrapenv(res$.planes))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInsideOut <- function( ._arg){
    res<-.Call("R_vtkBoxWidget_SetInsideOut",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInsideOut <- function(){
    res<-.Call("R_vtkBoxWidget_GetInsideOut",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsideOutOn <- function(){
    res<-.Call("R_vtkBoxWidget_InsideOutOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$InsideOutOff <- function(){
    res<-.Call("R_vtkBoxWidget_InsideOutOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTransform <- function( .t=vtkTransform()){
    check.VTK(.t,"vtkTransform")
    res<-.Call("R_vtkBoxWidget_GetTransform",.me$obj, .t$obj,PACKAGE="RVTK.Hybrid")
    res$.t <- vtkTransform(wrapenv(res$.t))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTransform <- function( .t=vtkTransform()){
    check.VTK(.t,"vtkTransform")
    res<-.Call("R_vtkBoxWidget_SetTransform",.me$obj, .t$obj,PACKAGE="RVTK.Hybrid")
    res$.t <- vtkTransform(wrapenv(res$.t))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkBoxWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK.Hybrid")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedHandleProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetSelectedHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandlesOn <- function(){
    res<-.Call("R_vtkBoxWidget_HandlesOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandlesOff <- function(){
    res<-.Call("R_vtkBoxWidget_HandlesOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetFaceProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetFaceProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedFaceProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetSelectedFaceProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutlineProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetOutlineProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedOutlineProperty <- function(){
    res<-.Call("R_vtkBoxWidget_GetSelectedOutlineProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutlineFaceWires <- function( .newValue){
    res<-.Call("R_vtkBoxWidget_SetOutlineFaceWires",.me$obj, .newValue,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutlineFaceWires <- function(){
    res<-.Call("R_vtkBoxWidget_GetOutlineFaceWires",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutlineFaceWiresOn <- function(){
    res<-.Call("R_vtkBoxWidget_OutlineFaceWiresOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutlineFaceWiresOff <- function(){
    res<-.Call("R_vtkBoxWidget_OutlineFaceWiresOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOutlineCursorWires <- function( .newValue){
    res<-.Call("R_vtkBoxWidget_SetOutlineCursorWires",.me$obj, .newValue,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOutlineCursorWires <- function(){
    res<-.Call("R_vtkBoxWidget_GetOutlineCursorWires",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutlineCursorWiresOn <- function(){
    res<-.Call("R_vtkBoxWidget_OutlineCursorWiresOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$OutlineCursorWiresOff <- function(){
    res<-.Call("R_vtkBoxWidget_OutlineCursorWiresOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTranslationEnabled <- function( ._arg){
    res<-.Call("R_vtkBoxWidget_SetTranslationEnabled",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTranslationEnabled <- function(){
    res<-.Call("R_vtkBoxWidget_GetTranslationEnabled",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TranslationEnabledOn <- function(){
    res<-.Call("R_vtkBoxWidget_TranslationEnabledOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TranslationEnabledOff <- function(){
    res<-.Call("R_vtkBoxWidget_TranslationEnabledOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalingEnabled <- function( ._arg){
    res<-.Call("R_vtkBoxWidget_SetScalingEnabled",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalingEnabled <- function(){
    res<-.Call("R_vtkBoxWidget_GetScalingEnabled",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingEnabledOn <- function(){
    res<-.Call("R_vtkBoxWidget_ScalingEnabledOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalingEnabledOff <- function(){
    res<-.Call("R_vtkBoxWidget_ScalingEnabledOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRotationEnabled <- function( ._arg){
    res<-.Call("R_vtkBoxWidget_SetRotationEnabled",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRotationEnabled <- function(){
    res<-.Call("R_vtkBoxWidget_GetRotationEnabled",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotationEnabledOn <- function(){
    res<-.Call("R_vtkBoxWidget_RotationEnabledOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RotationEnabledOff <- function(){
    res<-.Call("R_vtkBoxWidget_RotationEnabledOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkBoxWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkBoxWidget",class(.me))
  return(.me)
}
