vtkDepthSortPolyData <- function(.me=environment()){
  .me <- vtkPolyDataToPolyDataFilter(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkDepthSortPolyData_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkDepthSortPolyData_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkDepthSortPolyData_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDepthSortPolyData(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkDepthSortPolyData_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDepthSortPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirection <- function( ._arg){
    res<-.Call("R_vtkDepthSortPolyData_SetDirection",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDirection <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetDirection",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectionToFrontToBack <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDirectionToFrontToBack",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectionToBackToFront <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDirectionToBackToFront",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDirectionToSpecifiedVector <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDirectionToSpecifiedVector",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDepthSortMode <- function( ._arg){
    res<-.Call("R_vtkDepthSortPolyData_SetDepthSortMode",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDepthSortMode <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetDepthSortMode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDepthSortModeToFirstPoint <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDepthSortModeToFirstPoint",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDepthSortModeToBoundsCenter <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDepthSortModeToBoundsCenter",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDepthSortModeToParametricCenter <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SetDepthSortModeToParametricCenter",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCamera <- function( ._arg=vtkCamera()){
    check.VTK(._arg,"vtkCamera")
    res<-.Call("R_vtkDepthSortPolyData_SetCamera",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkCamera(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCamera <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetCamera",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkCamera(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetProp3D <- function( .prop3d=vtkProp3D()){
    check.VTK(.prop3d,"vtkProp3D")
    res<-.Call("R_vtkDepthSortPolyData_SetProp3D",.me$obj, .prop3d$obj,PACKAGE="RVTK.Hybrid")
    res$.prop3d <- vtkProp3D(wrapenv(res$.prop3d))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetProp3D <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetProp3D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProp3D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVector <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkDepthSortPolyData_SetVector",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetVector_v1 <- function( ._arg){
    res<-.Call("R_vtkDepthSortPolyData_SetVector_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetVector",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetVector_v1 <- function( .data){
    res<-.Call("R_vtkDepthSortPolyData_GetVector_v1",.me$obj, .data,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkDepthSortPolyData_SetOrigin",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetOrigin_v1 <- function( ._arg){
    res<-.Call("R_vtkDepthSortPolyData_SetOrigin_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetOrigin",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetOrigin_v1 <- function( .data){
    res<-.Call("R_vtkDepthSortPolyData_GetOrigin_v1",.me$obj, .data,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSortScalars <- function( ._arg){
    res<-.Call("R_vtkDepthSortPolyData_SetSortScalars",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSortScalars <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetSortScalars",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SortScalarsOn <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SortScalarsOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SortScalarsOff <- function(){
    res<-.Call("R_vtkDepthSortPolyData_SortScalarsOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkDepthSortPolyData_GetMTime",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkDepthSortPolyData_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkDepthSortPolyData",class(.me))
  return(.me)
}
