vtkIterativeClosestPointTransform <- function(.me=environment()){
  .me <- vtkLinearTransform(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkIterativeClosestPointTransform_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkIterativeClosestPointTransform_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkIterativeClosestPointTransform_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkIterativeClosestPointTransform(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkIterativeClosestPointTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetSource <- function( .source=vtkDataSet()){
    check.VTK(.source,"vtkDataSet")
    res<-.Call("R_vtkIterativeClosestPointTransform_SetSource",.me$obj, .source$obj,PACKAGE="RVTK.Hybrid")
    res$.source <- vtkDataSet(wrapenv(res$.source))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTarget <- function( .target=vtkDataSet()){
    check.VTK(.target,"vtkDataSet")
    res<-.Call("R_vtkIterativeClosestPointTransform_SetTarget",.me$obj, .target$obj,PACKAGE="RVTK.Hybrid")
    res$.target <- vtkDataSet(wrapenv(res$.target))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSource <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetSource",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTarget <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetTarget",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataSet(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLocator <- function( .locator=vtkCellLocator()){
    check.VTK(.locator,"vtkCellLocator")
    res<-.Call("R_vtkIterativeClosestPointTransform_SetLocator",.me$obj, .locator$obj,PACKAGE="RVTK.Hybrid")
    res$.locator <- vtkCellLocator(wrapenv(res$.locator))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLocator <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetLocator",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkCellLocator(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfIterations <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMaximumNumberOfIterations",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfIterations <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMaximumNumberOfIterations",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfIterations <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetNumberOfIterations",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCheckMeanDistance <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetCheckMeanDistance",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCheckMeanDistance <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetCheckMeanDistance",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckMeanDistanceOn <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_CheckMeanDistanceOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$CheckMeanDistanceOff <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_CheckMeanDistanceOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMeanDistanceMode <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMeanDistanceMode",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanDistanceModeMinValue <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanDistanceModeMaxValue <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanDistanceMode <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMeanDistanceMode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMeanDistanceModeToRMS <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMeanDistanceModeToAbsoluteValue <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanDistanceModeAsString <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMeanDistanceModeAsString",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumMeanDistance <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMaximumMeanDistance",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumMeanDistance <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMaximumMeanDistance",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMeanDistance <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMeanDistance",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetMaximumNumberOfLandmarks <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMaximumNumberOfLandmarks <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetStartByMatchingCentroids <- function( ._arg){
    res<-.Call("R_vtkIterativeClosestPointTransform_SetStartByMatchingCentroids",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetStartByMatchingCentroids <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetStartByMatchingCentroids",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartByMatchingCentroidsOn <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$StartByMatchingCentroidsOff <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_StartByMatchingCentroidsOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLandmarkTransform <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_GetLandmarkTransform",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLandmarkTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Inverse <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_Inverse",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$MakeTransform <- function(){
    res<-.Call("R_vtkIterativeClosestPointTransform_MakeTransform",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAbstractTransform(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkIterativeClosestPointTransform_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkIterativeClosestPointTransform",class(.me))
  return(.me)
}
