vtkLegendBoxActor <- function(.me=environment()){
  .me <- vtkActor2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLegendBoxActor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLegendBoxActor_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLegendBoxActor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLegendBoxActor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLegendBoxActor_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLegendBoxActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfEntries <- function( .num){
    res<-.Call("R_vtkLegendBoxActor_SetNumberOfEntries",.me$obj, .num,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfEntries <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetNumberOfEntries",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntry <- function( .i, .symbol=vtkPolyData(), .string, .color=as.double(rep.int(1,3))){
    check.VTK(.symbol,"vtkPolyData")
    res<-.Call("R_vtkLegendBoxActor_SetEntry",.me$obj, .i, .symbol$obj, .string, .color,PACKAGE="RVTK.Hybrid")
    res$.symbol <- vtkPolyData(wrapenv(res$.symbol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntrySymbol <- function( .i, .symbol=vtkPolyData()){
    check.VTK(.symbol,"vtkPolyData")
    res<-.Call("R_vtkLegendBoxActor_SetEntrySymbol",.me$obj, .i, .symbol$obj,PACKAGE="RVTK.Hybrid")
    res$.symbol <- vtkPolyData(wrapenv(res$.symbol))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntryString <- function( .i, .string){
    res<-.Call("R_vtkLegendBoxActor_SetEntryString",.me$obj, .i, .string,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntryColor <- function( .i, .color=as.double(rep.int(1,3))){
    res<-.Call("R_vtkLegendBoxActor_SetEntryColor",.me$obj, .i, .color,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntryColor_v1 <- function( .i, .r, .g, .b){
    res<-.Call("R_vtkLegendBoxActor_SetEntryColor_v1",.me$obj, .i, .r, .g, .b,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEntrySymbol <- function( .i){
    res<-.Call("R_vtkLegendBoxActor_GetEntrySymbol",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEntryString <- function( .i){
    res<-.Call("R_vtkLegendBoxActor_GetEntryString",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEntryColor <- function( .i){
    res<-.Call("R_vtkLegendBoxActor_GetEntryColor",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEntryTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkLegendBoxActor_SetEntryTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetEntryTextProperty <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetEntryTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBorder <- function( ._arg){
    res<-.Call("R_vtkLegendBoxActor_SetBorder",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBorder <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetBorder",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BorderOn <- function(){
    res<-.Call("R_vtkLegendBoxActor_BorderOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BorderOff <- function(){
    res<-.Call("R_vtkLegendBoxActor_BorderOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLockBorder <- function( ._arg){
    res<-.Call("R_vtkLegendBoxActor_SetLockBorder",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLockBorder <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetLockBorder",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LockBorderOn <- function(){
    res<-.Call("R_vtkLegendBoxActor_LockBorderOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LockBorderOff <- function(){
    res<-.Call("R_vtkLegendBoxActor_LockBorderOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBox <- function( ._arg){
    res<-.Call("R_vtkLegendBoxActor_SetBox",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBox <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetBox",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoxOn <- function(){
    res<-.Call("R_vtkLegendBoxActor_BoxOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$BoxOff <- function(){
    res<-.Call("R_vtkLegendBoxActor_BoxOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBoxProperty <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetBoxProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPadding <- function( ._arg){
    res<-.Call("R_vtkLegendBoxActor_SetPadding",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPaddingMinValue <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetPaddingMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPaddingMaxValue <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetPaddingMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPadding <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetPadding",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScalarVisibility <- function( ._arg){
    res<-.Call("R_vtkLegendBoxActor_SetScalarVisibility",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScalarVisibility <- function(){
    res<-.Call("R_vtkLegendBoxActor_GetScalarVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOn <- function(){
    res<-.Call("R_vtkLegendBoxActor_ScalarVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScalarVisibilityOff <- function(){
    res<-.Call("R_vtkLegendBoxActor_ScalarVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ShallowCopy <- function( .prop=vtkProp()){
    check.VTK(.prop,"vtkProp")
    res<-.Call("R_vtkLegendBoxActor_ShallowCopy",.me$obj, .prop$obj,PACKAGE="RVTK.Hybrid")
    res$.prop <- vtkProp(wrapenv(res$.prop))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkLegendBoxActor_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Hybrid")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkLegendBoxActor_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkLegendBoxActor_RenderOverlay",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLegendBoxActor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLegendBoxActor",class(.me))
  return(.me)
}
