vtkLineWidget <- function(.me=environment()){
  .me <- vtk3DWidget(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkLineWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkLineWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkLineWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkLineWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLineWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkLineWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLineWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkLineWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkLineWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkLineWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkLineWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetResolution <- function( .r){
    res<-.Call("R_vtkLineWidget_SetResolution",.me$obj, .r,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetResolution <- function(){
    res<-.Call("R_vtkLineWidget_GetResolution",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1 <- function( .x, .y, .z){
    res<-.Call("R_vtkLineWidget_SetPoint1",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint1_v1 <- function( .x=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLineWidget_SetPoint1_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1 <- function(){
    res<-.Call("R_vtkLineWidget_GetPoint1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint1_v1 <- function( .xyz){
    res<-.Call("R_vtkLineWidget_GetPoint1_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2 <- function( .x, .y, .z){
    res<-.Call("R_vtkLineWidget_SetPoint2",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPoint2_v1 <- function( .x=as.double(rep.int(1,1))){
    res<-.Call("R_vtkLineWidget_SetPoint2_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2 <- function(){
    res<-.Call("R_vtkLineWidget_GetPoint2",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPoint2_v1 <- function( .xyz){
    res<-.Call("R_vtkLineWidget_GetPoint2_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlign <- function( ._arg){
    res<-.Call("R_vtkLineWidget_SetAlign",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlignMinValue <- function(){
    res<-.Call("R_vtkLineWidget_GetAlignMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlignMaxValue <- function(){
    res<-.Call("R_vtkLineWidget_GetAlignMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAlign <- function(){
    res<-.Call("R_vtkLineWidget_GetAlign",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlignToXAxis <- function(){
    res<-.Call("R_vtkLineWidget_SetAlignToXAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlignToYAxis <- function(){
    res<-.Call("R_vtkLineWidget_SetAlignToYAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlignToZAxis <- function(){
    res<-.Call("R_vtkLineWidget_SetAlignToZAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAlignToNone <- function(){
    res<-.Call("R_vtkLineWidget_SetAlignToNone",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetClampToBounds <- function( ._arg){
    res<-.Call("R_vtkLineWidget_SetClampToBounds",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetClampToBounds <- function(){
    res<-.Call("R_vtkLineWidget_GetClampToBounds",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampToBoundsOn <- function(){
    res<-.Call("R_vtkLineWidget_ClampToBoundsOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ClampToBoundsOff <- function(){
    res<-.Call("R_vtkLineWidget_ClampToBoundsOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkLineWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK.Hybrid")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleProperty <- function(){
    res<-.Call("R_vtkLineWidget_GetHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedHandleProperty <- function(){
    res<-.Call("R_vtkLineWidget_GetSelectedHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLineProperty <- function(){
    res<-.Call("R_vtkLineWidget_GetLineProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedLineProperty <- function(){
    res<-.Call("R_vtkLineWidget_GetSelectedLineProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkLineWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkLineWidget",class(.me))
  return(.me)
}
