vtkPushPipeline <- function(.me=environment()){
  .me <- vtkObject(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkPushPipeline_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkPushPipeline_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkPushPipeline_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkPushPipeline_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPushPipeline(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkPushPipeline_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPushPipeline(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddPusher <- function( .pusher=vtkProcessObject()){
    check.VTK(.pusher,"vtkProcessObject")
    res<-.Call("R_vtkPushPipeline_AddPusher",.me$obj, .pusher$obj,PACKAGE="RVTK.Hybrid")
    res$.pusher <- vtkProcessObject(wrapenv(res$.pusher))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetInputToExecutionRatio <- function( .po=vtkProcessObject(), .inNum, .ratio){
    check.VTK(.po,"vtkProcessObject")
    res<-.Call("R_vtkPushPipeline_SetInputToExecutionRatio",.me$obj, .po$obj, .inNum, .ratio,PACKAGE="RVTK.Hybrid")
    res$.po <- vtkProcessObject(wrapenv(res$.po))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExecutionToOutputRatio <- function( .po=vtkProcessObject(), .ratio){
    check.VTK(.po,"vtkProcessObject")
    res<-.Call("R_vtkPushPipeline_SetExecutionToOutputRatio",.me$obj, .po$obj, .ratio,PACKAGE="RVTK.Hybrid")
    res$.po <- vtkProcessObject(wrapenv(res$.po))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Push <- function( .pusher=vtkSource()){
    check.VTK(.pusher,"vtkSource")
    res<-.Call("R_vtkPushPipeline_Push",.me$obj, .pusher$obj,PACKAGE="RVTK.Hybrid")
    res$.pusher <- vtkSource(wrapenv(res$.pusher))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$Run <- function( .pusher=vtkSource()){
    check.VTK(.pusher,"vtkSource")
    res<-.Call("R_vtkPushPipeline_Run",.me$obj, .pusher$obj,PACKAGE="RVTK.Hybrid")
    res$.pusher <- vtkSource(wrapenv(res$.pusher))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRunState <- function( ._arg){
    res<-.Call("R_vtkPushPipeline_SetRunState",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRunState <- function(){
    res<-.Call("R_vtkPushPipeline_GetRunState",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddWindow <- function( .win=vtkRenderWindow()){
    check.VTK(.win,"vtkRenderWindow")
    res<-.Call("R_vtkPushPipeline_AddWindow",.me$obj, .win$obj,PACKAGE="RVTK.Hybrid")
    res$.win <- vtkRenderWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkPushPipeline_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkPushPipeline",class(.me))
  return(.me)
}
