vtkSphereWidget <- function(.me=environment()){
  .me <- vtk3DWidget(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkSphereWidget_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkSphereWidget_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkSphereWidget_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkSphereWidget_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkSphereWidget(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkSphereWidget_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkSphereWidget(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetEnabled <- function( .enabling){
    res<-.Call("R_vtkSphereWidget_SetEnabled",.me$obj, .enabling,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget <- function( .bds=as.double(rep.int(1,6))){
    res<-.Call("R_vtkSphereWidget_PlaceWidget",.me$obj, .bds,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v1 <- function(){
    res<-.Call("R_vtkSphereWidget_PlaceWidget_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlaceWidget_v2 <- function( .xmin, .xmax, .ymin, .ymax, .zmin, .zmax){
    res<-.Call("R_vtkSphereWidget_PlaceWidget_v2",.me$obj, .xmin, .xmax, .ymin, .ymax, .zmin, .zmax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentation <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_SetRepresentation",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMinValue <- function(){
    res<-.Call("R_vtkSphereWidget_GetRepresentationMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentationMaxValue <- function(){
    res<-.Call("R_vtkSphereWidget_GetRepresentationMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRepresentation <- function(){
    res<-.Call("R_vtkSphereWidget_GetRepresentation",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToOff <- function(){
    res<-.Call("R_vtkSphereWidget_SetRepresentationToOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToWireframe <- function(){
    res<-.Call("R_vtkSphereWidget_SetRepresentationToWireframe",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRepresentationToSurface <- function(){
    res<-.Call("R_vtkSphereWidget_SetRepresentationToSurface",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetThetaResolution <- function( .r){
    res<-.Call("R_vtkSphereWidget_SetThetaResolution",.me$obj, .r,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetThetaResolution <- function(){
    res<-.Call("R_vtkSphereWidget_GetThetaResolution",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPhiResolution <- function( .r){
    res<-.Call("R_vtkSphereWidget_SetPhiResolution",.me$obj, .r,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPhiResolution <- function(){
    res<-.Call("R_vtkSphereWidget_GetPhiResolution",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetRadius <- function( .r){
    res<-.Call("R_vtkSphereWidget_SetRadius",.me$obj, .r,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetRadius <- function(){
    res<-.Call("R_vtkSphereWidget_GetRadius",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter <- function( .x, .y, .z){
    res<-.Call("R_vtkSphereWidget_SetCenter",.me$obj, .x, .y, .z,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetCenter_v1 <- function( .x=as.double(rep.int(1,3))){
    res<-.Call("R_vtkSphereWidget_SetCenter_v1",.me$obj, .x,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter <- function(){
    res<-.Call("R_vtkSphereWidget_GetCenter",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetCenter_v1 <- function( .xyz){
    res<-.Call("R_vtkSphereWidget_GetCenter_v1",.me$obj, .xyz,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTranslation <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_SetTranslation",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTranslation <- function(){
    res<-.Call("R_vtkSphereWidget_GetTranslation",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TranslationOn <- function(){
    res<-.Call("R_vtkSphereWidget_TranslationOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$TranslationOff <- function(){
    res<-.Call("R_vtkSphereWidget_TranslationOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetScale <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_SetScale",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetScale <- function(){
    res<-.Call("R_vtkSphereWidget_GetScale",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScaleOn <- function(){
    res<-.Call("R_vtkSphereWidget_ScaleOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ScaleOff <- function(){
    res<-.Call("R_vtkSphereWidget_ScaleOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleVisibility <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_SetHandleVisibility",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleVisibility <- function(){
    res<-.Call("R_vtkSphereWidget_GetHandleVisibility",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandleVisibilityOn <- function(){
    res<-.Call("R_vtkSphereWidget_HandleVisibilityOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$HandleVisibilityOff <- function(){
    res<-.Call("R_vtkSphereWidget_HandleVisibilityOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleDirection <- function( ._arg1, ._arg2, ._arg3){
    res<-.Call("R_vtkSphereWidget_SetHandleDirection",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetHandleDirection_v1 <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_SetHandleDirection_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleDirection <- function(){
    res<-.Call("R_vtkSphereWidget_GetHandleDirection",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleDirection_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkSphereWidget_GetHandleDirection_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleDirection_v2 <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_GetHandleDirection_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandlePosition <- function(){
    res<-.Call("R_vtkSphereWidget_GetHandlePosition",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandlePosition_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1)), ._arg3=as.double(rep.int(1,1))){
    res<-.Call("R_vtkSphereWidget_GetHandlePosition_v1",.me$obj, ._arg1, ._arg2, ._arg3,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandlePosition_v2 <- function( ._arg){
    res<-.Call("R_vtkSphereWidget_GetHandlePosition_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPolyData <- function( .pd=vtkPolyData()){
    check.VTK(.pd,"vtkPolyData")
    res<-.Call("R_vtkSphereWidget_GetPolyData",.me$obj, .pd$obj,PACKAGE="RVTK.Hybrid")
    res$.pd <- vtkPolyData(wrapenv(res$.pd))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSphere <- function( .sphere=vtkSphere()){
    check.VTK(.sphere,"vtkSphere")
    res<-.Call("R_vtkSphereWidget_GetSphere",.me$obj, .sphere$obj,PACKAGE="RVTK.Hybrid")
    res$.sphere <- vtkSphere(wrapenv(res$.sphere))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSphereProperty <- function(){
    res<-.Call("R_vtkSphereWidget_GetSphereProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedSphereProperty <- function(){
    res<-.Call("R_vtkSphereWidget_GetSelectedSphereProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetHandleProperty <- function(){
    res<-.Call("R_vtkSphereWidget_GetHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetSelectedHandleProperty <- function(){
    res<-.Call("R_vtkSphereWidget_GetSelectedHandleProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkSphereWidget_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkSphereWidget",class(.me))
  return(.me)
}
