vtkXYPlotActor <- function(.me=environment()){
  .me <- vtkActor2D(.me)
  .me$GetClassName <- function(){
    res<-.Call("R_vtkXYPlotActor_GetClassName",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsTypeOf <- function( .type){
    res<-.Call("R_vtkXYPlotActor_IsTypeOf",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsA <- function( .type){
    res<-.Call("R_vtkXYPlotActor_IsA",.me$obj, .type,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SafeDownCast <- function( .o=vtkObjectBase()){
    check.VTK(.o,"vtkObjectBase")
    res<-.Call("R_vtkXYPlotActor_SafeDownCast",.me$obj, .o$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkXYPlotActor(wrapenv(res$ret.val))
    res$.o <- vtkObjectBase(wrapenv(res$.o))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$NewInstance <- function(){
    res<-.Call("R_vtkXYPlotActor_NewInstance",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkXYPlotActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput <- function( .ds=vtkDataSet(), .arrayName, .component){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkXYPlotActor_AddInput",.me$obj, .ds$obj, .arrayName, .component,PACKAGE="RVTK.Hybrid")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddInput_v1 <- function( .in=vtkDataSet()){
    check.VTK(.in,"vtkDataSet")
    res<-.Call("R_vtkXYPlotActor_AddInput_v1",.me$obj, .in$obj,PACKAGE="RVTK.Hybrid")
    res$.in <- vtkDataSet(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveInput <- function( .ds=vtkDataSet(), .arrayName, .component){
    check.VTK(.ds,"vtkDataSet")
    res<-.Call("R_vtkXYPlotActor_RemoveInput",.me$obj, .ds$obj, .arrayName, .component,PACKAGE="RVTK.Hybrid")
    res$.ds <- vtkDataSet(wrapenv(res$.ds))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveInput_v1 <- function( .in=vtkDataSet()){
    check.VTK(.in,"vtkDataSet")
    res<-.Call("R_vtkXYPlotActor_RemoveInput_v1",.me$obj, .in$obj,PACKAGE="RVTK.Hybrid")
    res$.in <- vtkDataSet(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveAllInputs <- function(){
    res<-.Call("R_vtkXYPlotActor_RemoveAllInputs",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetInputList <- function(){
    res<-.Call("R_vtkXYPlotActor_GetInputList",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataSetCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPointComponent <- function( .i, .comp){
    res<-.Call("R_vtkXYPlotActor_SetPointComponent",.me$obj, .i, .comp,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPointComponent <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPointComponent",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXValues <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetXValues",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXValuesMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXValuesMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXValuesMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXValuesMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXValues <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXValues",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXValuesToIndex <- function(){
    res<-.Call("R_vtkXYPlotActor_SetXValuesToIndex",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXValuesToArcLength <- function(){
    res<-.Call("R_vtkXYPlotActor_SetXValuesToArcLength",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXValuesToNormalizedArcLength <- function(){
    res<-.Call("R_vtkXYPlotActor_SetXValuesToNormalizedArcLength",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXValuesToValue <- function(){
    res<-.Call("R_vtkXYPlotActor_SetXValuesToValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXValuesAsString <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXValuesAsString",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$AddDataObjectInput <- function( .in=vtkDataObject()){
    check.VTK(.in,"vtkDataObject")
    res<-.Call("R_vtkXYPlotActor_AddDataObjectInput",.me$obj, .in$obj,PACKAGE="RVTK.Hybrid")
    res$.in <- vtkDataObject(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RemoveDataObjectInput <- function( .in=vtkDataObject()){
    check.VTK(.in,"vtkDataObject")
    res<-.Call("R_vtkXYPlotActor_RemoveDataObjectInput",.me$obj, .in$obj,PACKAGE="RVTK.Hybrid")
    res$.in <- vtkDataObject(wrapenv(res$.in))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectInputList <- function(){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectInputList",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkDataObjectCollection(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObjectPlotMode <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetDataObjectPlotMode",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectPlotModeMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectPlotModeMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectPlotModeMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectPlotModeMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectPlotMode <- function(){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectPlotMode",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObjectPlotModeToRows <- function(){
    res<-.Call("R_vtkXYPlotActor_SetDataObjectPlotModeToRows",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObjectPlotModeToColumns <- function(){
    res<-.Call("R_vtkXYPlotActor_SetDataObjectPlotModeToColumns",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectPlotModeAsString <- function(){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectPlotModeAsString",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObjectXComponent <- function( .i, .comp){
    res<-.Call("R_vtkXYPlotActor_SetDataObjectXComponent",.me$obj, .i, .comp,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectXComponent <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectXComponent",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetDataObjectYComponent <- function( .i, .comp){
    res<-.Call("R_vtkXYPlotActor_SetDataObjectYComponent",.me$obj, .i, .comp,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetDataObjectYComponent <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetDataObjectYComponent",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotColor <- function( .i, .r, .g, .b){
    res<-.Call("R_vtkXYPlotActor_SetPlotColor",.me$obj, .i, .r, .g, .b,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotColor_v1 <- function( .i, .color){
    res<-.Call("R_vtkXYPlotActor_SetPlotColor_v1",.me$obj, .i, .color,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotColor <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPlotColor",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotSymbol <- function( .i, .input=vtkPolyData()){
    check.VTK(.input,"vtkPolyData")
    res<-.Call("R_vtkXYPlotActor_SetPlotSymbol",.me$obj, .i, .input$obj,PACKAGE="RVTK.Hybrid")
    res$.input <- vtkPolyData(wrapenv(res$.input))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotSymbol <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPlotSymbol",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkPolyData(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotLabel <- function( .i, .label){
    res<-.Call("R_vtkXYPlotActor_SetPlotLabel",.me$obj, .i, .label,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotLabel <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPlotLabel",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotCurvePoints <- function(){
    res<-.Call("R_vtkXYPlotActor_GetPlotCurvePoints",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotCurvePoints <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetPlotCurvePoints",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotCurvePointsOn <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotCurvePointsOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotCurvePointsOff <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotCurvePointsOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotCurveLines <- function(){
    res<-.Call("R_vtkXYPlotActor_GetPlotCurveLines",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotCurveLines <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetPlotCurveLines",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotCurveLinesOn <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotCurveLinesOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotCurveLinesOff <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotCurveLinesOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotLines <- function( .i, .isOn){
    res<-.Call("R_vtkXYPlotActor_SetPlotLines",.me$obj, .i, .isOn,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotLines <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPlotLines",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotPoints <- function( .i, .isOn){
    res<-.Call("R_vtkXYPlotActor_SetPlotPoints",.me$obj, .i, .isOn,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotPoints <- function( .i){
    res<-.Call("R_vtkXYPlotActor_GetPlotPoints",.me$obj, .i,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetExchangeAxes <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetExchangeAxes",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetExchangeAxes <- function(){
    res<-.Call("R_vtkXYPlotActor_GetExchangeAxes",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExchangeAxesOn <- function(){
    res<-.Call("R_vtkXYPlotActor_ExchangeAxesOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ExchangeAxesOff <- function(){
    res<-.Call("R_vtkXYPlotActor_ExchangeAxesOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReverseXAxis <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetReverseXAxis",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReverseXAxis <- function(){
    res<-.Call("R_vtkXYPlotActor_GetReverseXAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseXAxisOn <- function(){
    res<-.Call("R_vtkXYPlotActor_ReverseXAxisOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseXAxisOff <- function(){
    res<-.Call("R_vtkXYPlotActor_ReverseXAxisOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetReverseYAxis <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetReverseYAxis",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetReverseYAxis <- function(){
    res<-.Call("R_vtkXYPlotActor_GetReverseYAxis",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseYAxisOn <- function(){
    res<-.Call("R_vtkXYPlotActor_ReverseYAxisOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReverseYAxisOff <- function(){
    res<-.Call("R_vtkXYPlotActor_ReverseYAxisOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendBoxActor <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLegendBoxActor",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkLegendBoxActor(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlyphSource <- function(){
    res<-.Call("R_vtkXYPlotActor_GetGlyphSource",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkGlyphSource2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTitle <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetTitle",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTitle <- function(){
    res<-.Call("R_vtkXYPlotActor_GetTitle",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXTitle <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetXTitle",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXTitle <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXTitle",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYTitle <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetYTitle",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYTitle <- function(){
    res<-.Call("R_vtkXYPlotActor_GetYTitle",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXAxisActor2D <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXAxisActor2D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAxisActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYAxisActor2D <- function(){
    res<-.Call("R_vtkXYPlotActor_GetYAxisActor2D",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkAxisActor2D(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetXRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetXRange_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetXRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXRange <- function(){
    res<-.Call("R_vtkXYPlotActor_GetXRange",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetXRange_v1 <- function( .data){
    res<-.Call("R_vtkXYPlotActor_GetXRange_v1",.me$obj, .data,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYRange <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetYRange",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetYRange_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetYRange_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYRange <- function(){
    res<-.Call("R_vtkXYPlotActor_GetYRange",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetYRange_v1 <- function( .data){
    res<-.Call("R_vtkXYPlotActor_GetYRange_v1",.me$obj, .data,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotRange <- function( .xmin, .ymin, .xmax, .ymax){
    res<-.Call("R_vtkXYPlotActor_SetPlotRange",.me$obj, .xmin, .ymin, .xmax, .ymax,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfXLabels <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetNumberOfXLabels",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfXLabelsMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfXLabelsMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfXLabelsMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfXLabelsMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfXLabels <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfXLabels",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfYLabels <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetNumberOfYLabels",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfYLabelsMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfYLabelsMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfYLabelsMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfYLabelsMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetNumberOfYLabels <- function(){
    res<-.Call("R_vtkXYPlotActor_GetNumberOfYLabels",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetNumberOfLabels <- function( .num){
    res<-.Call("R_vtkXYPlotActor_SetNumberOfLabels",.me$obj, .num,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLegend <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetLegend",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegend <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLegend",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LegendOn <- function(){
    res<-.Call("R_vtkXYPlotActor_LegendOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LegendOff <- function(){
    res<-.Call("R_vtkXYPlotActor_LegendOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLegendPosition <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetLegendPosition",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLegendPosition_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetLegendPosition_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition_v2 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLegendPosition2 <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetLegendPosition2",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLegendPosition2_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetLegendPosition2_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition2 <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition2",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition2_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition2_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLegendPosition2_v2 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_GetLegendPosition2_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetTitleTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkXYPlotActor_SetTitleTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetTitleTextProperty <- function(){
    res<-.Call("R_vtkXYPlotActor_GetTitleTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAxisTitleTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkXYPlotActor_SetAxisTitleTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAxisTitleTextProperty <- function(){
    res<-.Call("R_vtkXYPlotActor_GetAxisTitleTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetAxisLabelTextProperty <- function( ._arg=vtkTextProperty()){
    check.VTK(._arg,"vtkTextProperty")
    res<-.Call("R_vtkXYPlotActor_SetAxisLabelTextProperty",.me$obj, ._arg$obj,PACKAGE="RVTK.Hybrid")
    res$._arg <- vtkTextProperty(wrapenv(res$._arg))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetAxisLabelTextProperty <- function(){
    res<-.Call("R_vtkXYPlotActor_GetAxisLabelTextProperty",.me$obj,PACKAGE="RVTK.Hybrid")
    res$ret.val <- vtkTextProperty(wrapenv(res$ret.val))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLogx <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetLogx",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLogx <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLogx",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LogxOn <- function(){
    res<-.Call("R_vtkXYPlotActor_LogxOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$LogxOff <- function(){
    res<-.Call("R_vtkXYPlotActor_LogxOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetLabelFormat <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetLabelFormat",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetLabelFormat <- function(){
    res<-.Call("R_vtkXYPlotActor_GetLabelFormat",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetBorder <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetBorder",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBorderMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetBorderMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBorderMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetBorderMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetBorder <- function(){
    res<-.Call("R_vtkXYPlotActor_GetBorder",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotPoints_v1 <- function(){
    res<-.Call("R_vtkXYPlotActor_GetPlotPoints_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotPoints_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetPlotPoints_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotPointsOn <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotPointsOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotPointsOff <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotPointsOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotLines_v1 <- function(){
    res<-.Call("R_vtkXYPlotActor_GetPlotLines_v1",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotLines_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetPlotLines_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotLinesOn <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotLinesOn",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotLinesOff <- function(){
    res<-.Call("R_vtkXYPlotActor_PlotLinesOff",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetGlyphSize <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetGlyphSize",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlyphSizeMinValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetGlyphSizeMinValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlyphSizeMaxValue <- function(){
    res<-.Call("R_vtkXYPlotActor_GetGlyphSizeMaxValue",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetGlyphSize <- function(){
    res<-.Call("R_vtkXYPlotActor_GetGlyphSize",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewportToPlotCoordinate <- function( .viewport=vtkViewport(), .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_ViewportToPlotCoordinate",.me$obj, .viewport$obj, .u, .v,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ViewportToPlotCoordinate_v1 <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_ViewportToPlotCoordinate_v1",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotCoordinate <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetPlotCoordinate",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetPlotCoordinate_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetPlotCoordinate_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotCoordinate <- function(){
    res<-.Call("R_vtkXYPlotActor_GetPlotCoordinate",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotCoordinate_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkXYPlotActor_GetPlotCoordinate_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetPlotCoordinate_v2 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_GetPlotCoordinate_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotToViewportCoordinate <- function( .viewport=vtkViewport(), .u=as.double(rep.int(1,1)), .v=as.double(rep.int(1,1))){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_PlotToViewportCoordinate",.me$obj, .viewport$obj, .u, .v,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$PlotToViewportCoordinate_v1 <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_PlotToViewportCoordinate_v1",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewportCoordinate <- function( ._arg1, ._arg2){
    res<-.Call("R_vtkXYPlotActor_SetViewportCoordinate",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$SetViewportCoordinate_v1 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_SetViewportCoordinate_v1",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewportCoordinate <- function(){
    res<-.Call("R_vtkXYPlotActor_GetViewportCoordinate",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewportCoordinate_v1 <- function( ._arg1=as.double(rep.int(1,1)), ._arg2=as.double(rep.int(1,1))){
    res<-.Call("R_vtkXYPlotActor_GetViewportCoordinate_v1",.me$obj, ._arg1, ._arg2,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetViewportCoordinate_v2 <- function( ._arg){
    res<-.Call("R_vtkXYPlotActor_GetViewportCoordinate_v2",.me$obj, ._arg,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$IsInPlot <- function( .viewport=vtkViewport(), .u, .v){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_IsInPlot",.me$obj, .viewport$obj, .u, .v,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$GetMTime <- function(){
    res<-.Call("R_vtkXYPlotActor_GetMTime",.me$obj,PACKAGE="RVTK.Hybrid")
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOpaqueGeometry <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_RenderOpaqueGeometry",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$RenderOverlay <- function( .viewport=vtkViewport()){
    check.VTK(.viewport,"vtkViewport")
    res<-.Call("R_vtkXYPlotActor_RenderOverlay",.me$obj, .viewport$obj,PACKAGE="RVTK.Hybrid")
    res$.viewport <- vtkViewport(wrapenv(res$.viewport))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  .me$ReleaseGraphicsResources <- function( .win=vtkWindow()){
    check.VTK(.win,"vtkWindow")
    res<-.Call("R_vtkXYPlotActor_ReleaseGraphicsResources",.me$obj, .win$obj,PACKAGE="RVTK.Hybrid")
    res$.win <- vtkWindow(wrapenv(res$.win))
    assign(".VTK.Cache",res,.GlobalEnv)
    return(res$ret.val)
  }
 
  if (identical(.me,environment())){
   .me$obj <- .Call("R_vtkXYPlotActor_New")
    reg.finalizer(.me, .me$Delete)
  }
  class(.me) <- c("vtkXYPlotActor",class(.me))
  return(.me)
}
