#include <vtk/vtkImagePlaneWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImagePlaneWidget_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkImagePlaneWidget *  _res =( vtkImagePlaneWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImagePlaneWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkImagePlaneWidget *  _res =( vtkImagePlaneWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImagePlaneWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetEnabled( SEXP obj, SEXP enabling){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_PlaceWidget( SEXP obj, SEXP bds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_PlaceWidget_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetInput( SEXP obj, SEXP input){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkDataSet  *  _input = (vtkDataSet * )  SexpToVtk(input);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetInput(_input);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_input,"vtkDataSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".input",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetOrigin( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetOrigin_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetOrigin_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetOrigin(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPoint1( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint1( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPoint1_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint1(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPoint1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint1();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPoint1_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetPoint1(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPoint2( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint2( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPoint2_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPoint2(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPoint2( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetPoint2();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPoint2_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetPoint2(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetCenter( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetCenter();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetCenter_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetCenter(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetNormal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormal();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetNormal_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetNormal(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetVector1( SEXP obj, SEXP v1){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v1,3);
     double  *  _v1 =  SexpTodouble(v1);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetVector1(_v1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v1,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v1",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetVector2( SEXP obj, SEXP v2){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(v2,3);
     double  *  _v2 =  SexpTodouble(v2);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetVector2(_v2);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_v2,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".v2",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetSliceIndex( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetSliceIndex();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetSliceIndex( SEXP obj, SEXP index){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(index,1);
     int  *  _index =  SexpToint(index);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetSliceIndex( * _index);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetSlicePosition( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    double _res =_obj->GetSlicePosition();
    res=doubleToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetSlicePosition( SEXP obj, SEXP position){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(position,1);
     double  *  _position =  SexpTodouble(position);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetSlicePosition( * _position);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetResliceInterpolate( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetResliceInterpolate( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetResliceInterpolate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetResliceInterpolate();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetResliceInterpolateToNearestNeighbour( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetResliceInterpolateToNearestNeighbour();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetResliceInterpolateToLinear( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetResliceInterpolateToLinear();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetResliceInterpolateToCubic( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetResliceInterpolateToCubic();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetResliceOutput( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkImageData *  _res =( vtkImageData * )_obj->GetResliceOutput();
    res=VtkToSexp(_res,"vtkImageData");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetRestrictPlaneToVolume( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetRestrictPlaneToVolume( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRestrictPlaneToVolume( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRestrictPlaneToVolume();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_RestrictPlaneToVolumeOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->RestrictPlaneToVolumeOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_RestrictPlaneToVolumeOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->RestrictPlaneToVolumeOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetUserControlledLookupTable( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetUserControlledLookupTable( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetUserControlledLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetUserControlledLookupTable();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_UserControlledLookupTableOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->UserControlledLookupTableOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_UserControlledLookupTableOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->UserControlledLookupTableOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetTextureInterpolate( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetTextureInterpolate( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetTextureInterpolate( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetTextureInterpolate();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_TextureInterpolateOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->TextureInterpolateOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_TextureInterpolateOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->TextureInterpolateOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetTextureVisibility( SEXP obj, SEXP vis){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(vis,1);
     int  *  _vis =  SexpToint(vis);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetTextureVisibility( * _vis);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetTextureVisibility( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetTextureVisibility();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_TextureVisibilityOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->TextureVisibilityOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_TextureVisibilityOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->TextureVisibilityOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPolyData( SEXP obj, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPolyDataSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkPolyDataSource *  _res =( vtkPolyDataSource * )_obj->GetPolyDataSource();
    res=VtkToSexp(_res,"vtkPolyDataSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_UpdatePlacement( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->UpdatePlacement();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetTexture( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkTexture *  _res =( vtkTexture * )_obj->GetTexture();
    res=VtkToSexp(_res,"vtkTexture");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetColorMap( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkImageMapToColors *  _res =( vtkImageMapToColors * )_obj->GetColorMap();
    res=VtkToSexp(_res,"vtkImageMapToColors");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetColorMap( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkImageMapToColors  *  __arg = (vtkImageMapToColors * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetColorMap(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkImageMapToColors"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPlaneProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPlaneProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetSelectedPlaneProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetSelectedPlaneProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetSelectedPlaneProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPlaneOrientation( SEXP obj, SEXP i){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(i,1);
     int  *  _i =  SexpToint(i);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneOrientation( * _i);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetPlaneOrientation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetPlaneOrientation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPlaneOrientationToXAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneOrientationToXAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPlaneOrientationToYAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneOrientationToYAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPlaneOrientationToZAxes( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPlaneOrientationToZAxes();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetPicker( SEXP obj, SEXP picker){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkCellPicker  *  _picker = (vtkCellPicker * )  SexpToVtk(picker);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetPicker(_picker);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_picker,"vtkCellPicker"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".picker",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetLookupTable( SEXP obj, SEXP table){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkLookupTable  *  _table = (vtkLookupTable * )  SexpToVtk(table);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetLookupTable(_table);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_table,"vtkLookupTable"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".table",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLookupTable( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkLookupTable *  _res =( vtkLookupTable * )_obj->GetLookupTable();
    res=VtkToSexp(_res,"vtkLookupTable");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetDisplayText( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetDisplayText( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetDisplayText( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetDisplayText();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_DisplayTextOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->DisplayTextOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_DisplayTextOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->DisplayTextOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetCursorProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetCursorProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetCursorProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetCursorProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetMarginProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetMarginProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMarginProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetMarginProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetTextProperty( SEXP obj, SEXP tprop){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkTextProperty  *  _tprop = (vtkTextProperty * )  SexpToVtk(tprop);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetTextProperty(_tprop);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_tprop,"vtkTextProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".tprop",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetTextProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkTextProperty *  _res =( vtkTextProperty * )_obj->GetTextProperty();
    res=VtkToSexp(_res,"vtkTextProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetTexturePlaneProperty( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProperty  *  __arg = (vtkProperty * )  SexpToVtk(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetTexturePlaneProperty(__arg);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(__arg,"vtkProperty"));
    SET_VECTOR_ELT(res_names,1,charToSexp("._arg",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetTexturePlaneProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetTexturePlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetWindowLevel( SEXP obj, SEXP window, SEXP level){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(window,1);
     double  *  _window =  SexpTodouble(window);
    SET_LENGTH(level,1);
     double  *  _level =  SexpTodouble(level);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetWindowLevel( * _window,  * _level);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetWindowLevel( SEXP obj, SEXP wl){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(wl,2);
     double  *  _wl =  SexpTodouble(wl);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->GetWindowLevel(_wl);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_wl,2));
    SET_VECTOR_ELT(res_names,1,charToSexp(".wl",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetCursorData( SEXP obj, SEXP xyzv){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyzv,4);
     double  *  _xyzv =  SexpTodouble(xyzv);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetCursorData(_xyzv);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyzv,4));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyzv",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetInteraction( SEXP obj, SEXP interact){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(interact,1);
     int  *  _interact =  SexpToint(interact);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetInteraction( * _interact);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetInteraction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetInteraction();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_InteractionOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->InteractionOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_InteractionOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->InteractionOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetLeftButtonAction( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetLeftButtonAction( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonActionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonActionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonActionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonActionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonAction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonAction();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetMiddleButtonAction( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetMiddleButtonAction( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonActionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonActionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonActionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonActionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonAction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonAction();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetRightButtonAction( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetRightButtonAction( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonActionMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonActionMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonActionMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonActionMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonAction( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonAction();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetLeftButtonAutoModifier( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetLeftButtonAutoModifier( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonAutoModifierMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonAutoModifierMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonAutoModifierMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonAutoModifierMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetLeftButtonAutoModifier( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetLeftButtonAutoModifier();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetMiddleButtonAutoModifier( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetMiddleButtonAutoModifier( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonAutoModifierMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonAutoModifierMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonAutoModifierMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetMiddleButtonAutoModifier( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetMiddleButtonAutoModifier();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_SetRightButtonAutoModifier( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    _obj->SetRightButtonAutoModifier( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonAutoModifierMinValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonAutoModifierMinValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonAutoModifierMaxValue( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonAutoModifierMaxValue();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_GetRightButtonAutoModifier( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * _obj = (vtkImagePlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetRightButtonAutoModifier();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImagePlaneWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImagePlaneWidget * res= ( vtkImagePlaneWidget * ) vtkImagePlaneWidget
::New();
    R_res=toRPointer(res,"vtkImagePlaneWidget");
    return(R_res);
  }
}
