#include <vtk/vtkImplicitPlaneWidget.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkImplicitPlaneWidget_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkImplicitPlaneWidget *  _res =( vtkImplicitPlaneWidget * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkImplicitPlaneWidget");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkImplicitPlaneWidget *  _res =( vtkImplicitPlaneWidget * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkImplicitPlaneWidget");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetEnabled( SEXP obj, SEXP enabling){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(enabling,1);
     int  *  _enabling =  SexpToint(enabling);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetEnabled( * _enabling);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_PlaceWidget( SEXP obj, SEXP bds){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(bds,6);
     double  *  _bds =  SexpTodouble(bds);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget(_bds);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_bds,6));
    SET_VECTOR_ELT(res_names,1,charToSexp(".bds",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_PlaceWidget_v1( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_PlaceWidget_v2( SEXP obj, SEXP xmin, SEXP xmax, SEXP ymin, SEXP ymax, SEXP zmin, SEXP zmax){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xmin,1);
     double  *  _xmin =  SexpTodouble(xmin);
    SET_LENGTH(xmax,1);
     double  *  _xmax =  SexpTodouble(xmax);
    SET_LENGTH(ymin,1);
     double  *  _ymin =  SexpTodouble(ymin);
    SET_LENGTH(ymax,1);
     double  *  _ymax =  SexpTodouble(ymax);
    SET_LENGTH(zmin,1);
     double  *  _zmin =  SexpTodouble(zmin);
    SET_LENGTH(zmax,1);
     double  *  _zmax =  SexpTodouble(zmax);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->PlaceWidget( * _xmin,  * _xmax,  * _ymin,  * _ymax,  * _zmin,  * _zmax);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetOrigin( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetOrigin_v1( SEXP obj, SEXP x){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,3);
     double  *  _x =  SexpTodouble(x);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetOrigin(_x);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_x,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".x",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetOrigin( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetOrigin();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetOrigin_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->GetOrigin(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetNormal( SEXP obj, SEXP x, SEXP y, SEXP z){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(x,1);
     double  *  _x =  SexpTodouble(x);
    SET_LENGTH(y,1);
     double  *  _y =  SexpTodouble(y);
    SET_LENGTH(z,1);
     double  *  _z =  SexpTodouble(z);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormal( * _x,  * _y,  * _z);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetNormal_v1( SEXP obj, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,3);
     double  *  _n =  SexpTodouble(n);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormal(_n);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_n,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".n",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormal( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    double *  _res =( double * )_obj->GetNormal();
    res=doubleToSexp(_res,3);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormal_v1( SEXP obj, SEXP xyz){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(xyz,3);
     double  *  _xyz =  SexpTodouble(xyz);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->GetNormal(_xyz);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,doubleToSexp(_xyz,3));
    SET_VECTOR_ELT(res_names,1,charToSexp(".xyz",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetNormalToXAxis( SEXP obj, SEXP var){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(var,1);
     int  *  _var =  SexpToint(var);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToXAxis( * _var);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormalToXAxis( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToXAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToXAxisOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToXAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToXAxisOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToXAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetNormalToYAxis( SEXP obj, SEXP var){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(var,1);
     int  *  _var =  SexpToint(var);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToYAxis( * _var);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormalToYAxis( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToYAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToYAxisOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToYAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToYAxisOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToYAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetNormalToZAxis( SEXP obj, SEXP var){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(var,1);
     int  *  _var =  SexpToint(var);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetNormalToZAxis( * _var);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormalToZAxis( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetNormalToZAxis();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToZAxisOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToZAxisOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_NormalToZAxisOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->NormalToZAxisOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetTubing( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetTubing( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetTubing( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetTubing();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_TubingOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->TubingOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_TubingOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->TubingOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetDrawPlane( SEXP obj, SEXP drawPlane){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(drawPlane,1);
     int  *  _drawPlane =  SexpToint(drawPlane);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetDrawPlane( * _drawPlane);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetDrawPlane( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetDrawPlane();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_DrawPlaneOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->DrawPlaneOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_DrawPlaneOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->DrawPlaneOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_SetOutlineTranslation( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->SetOutlineTranslation( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetOutlineTranslation( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    int _res =_obj->GetOutlineTranslation();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_OutlineTranslationOn( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->OutlineTranslationOn();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_OutlineTranslationOff( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->OutlineTranslationOff();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetPolyData( SEXP obj, SEXP pd){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPolyData  *  _pd = (vtkPolyData * )  SexpToVtk(pd);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPolyData(_pd);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pd,"vtkPolyData"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pd",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetPolyDataSource( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkPolyDataSource *  _res =( vtkPolyDataSource * )_obj->GetPolyDataSource();
    res=VtkToSexp(_res,"vtkPolyDataSource");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetPlane( SEXP obj, SEXP plane){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkPlane  *  _plane = (vtkPlane * )  SexpToVtk(plane);
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->GetPlane(_plane);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_plane,"vtkPlane"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".plane",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_UpdatePlacement( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    _obj->UpdatePlacement();
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetNormalProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetNormalProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetSelectedNormalProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedNormalProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetPlaneProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetSelectedPlaneProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedPlaneProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetOutlineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetOutlineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetSelectedOutlineProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetSelectedOutlineProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_GetEdgesProperty( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * _obj = (vtkImplicitPlaneWidget * ) SexpToVtk(obj);
    vtkProperty *  _res =( vtkProperty * )_obj->GetEdgesProperty();
    res=VtkToSexp(_res,"vtkProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkImplicitPlaneWidget_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkImplicitPlaneWidget * res= ( vtkImplicitPlaneWidget * ) 
vtkImplicitPlaneWidget::New();
    R_res=toRPointer(res,"vtkImplicitPlaneWidget");
    return(R_res);
  }
}
