#include <vtk/vtkProcrustesAlignmentFilter.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkProcrustesAlignmentFilter_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkProcrustesAlignmentFilter *  _res =( vtkProcrustesAlignmentFilter * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkProcrustesAlignmentFilter");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkProcrustesAlignmentFilter *  _res =( vtkProcrustesAlignmentFilter * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkProcrustesAlignmentFilter");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_GetLandmarkTransform( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkLandmarkTransform *  _res =( vtkLandmarkTransform * )_obj->GetLandmarkTransform();
    res=VtkToSexp(_res,"vtkLandmarkTransform");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_GetMeanPoints( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkPoints *  _res =( vtkPoints * )_obj->GetMeanPoints();
    res=VtkToSexp(_res,"vtkPoints");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_SetNumberOfInputs( SEXP obj, SEXP n){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(n,1);
     int  *  _n =  SexpToint(n);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    _obj->SetNumberOfInputs( * _n);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_SetInput( SEXP obj, SEXP idx, SEXP p){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
     vtkPointSet  *  _p = (vtkPointSet * )  SexpToVtk(p);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    _obj->SetInput( * _idx, _p);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_p,"vtkPointSet"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".p",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_GetOutput( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetOutput( * _idx);
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_GetInput( SEXP obj, SEXP idx){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(idx,1);
     int  *  _idx =  SexpToint(idx);
    vtkProcrustesAlignmentFilter * _obj = (vtkProcrustesAlignmentFilter
 * ) SexpToVtk(obj);
    vtkPointSet *  _res =( vtkPointSet * )_obj->GetInput( * _idx);
    res=VtkToSexp(_res,"vtkPointSet");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkProcrustesAlignmentFilter_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkProcrustesAlignmentFilter * res= ( vtkProcrustesAlignmentFilter * ) 
vtkProcrustesAlignmentFilter::New();
    R_res=toRPointer(res,"vtkProcrustesAlignmentFilter");
    return(R_res);
  }
}
