#include <vtk/vtkPushPipeline.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkPushPipeline_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    vtkPushPipeline *  _res =( vtkPushPipeline * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkPushPipeline");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    vtkPushPipeline *  _res =( vtkPushPipeline * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkPushPipeline");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_AddPusher( SEXP obj, SEXP pusher){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProcessObject  *  _pusher = (vtkProcessObject * )  SexpToVtk(pusher);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->AddPusher(_pusher);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pusher,"vtkProcessObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pusher",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_SetInputToExecutionRatio( SEXP obj, SEXP po, SEXP inNum, SEXP ratio){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProcessObject  *  _po = (vtkProcessObject * )  SexpToVtk(po);
    SET_LENGTH(inNum,1);
     int  *  _inNum =  SexpToint(inNum);
    SET_LENGTH(ratio,1);
     int  *  _ratio =  SexpToint(ratio);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->SetInputToExecutionRatio(_po,  * _inNum,  * _ratio);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_po,"vtkProcessObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".po",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_SetExecutionToOutputRatio( SEXP obj, SEXP po, SEXP ratio){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkProcessObject  *  _po = (vtkProcessObject * )  SexpToVtk(po);
    SET_LENGTH(ratio,1);
     int  *  _ratio =  SexpToint(ratio);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->SetExecutionToOutputRatio(_po,  * _ratio);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_po,"vtkProcessObject"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".po",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_Push( SEXP obj, SEXP pusher){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSource  *  _pusher = (vtkSource * )  SexpToVtk(pusher);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->Push(_pusher);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pusher,"vtkSource"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pusher",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_Run( SEXP obj, SEXP pusher){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkSource  *  _pusher = (vtkSource * )  SexpToVtk(pusher);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->Run(_pusher);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_pusher,"vtkSource"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".pusher",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_SetRunState( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    SET_LENGTH(_arg,1);
     int  *  __arg =  SexpToint(_arg);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->SetRunState( * __arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_GetRunState( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    int _res =_obj->GetRunState();
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_AddWindow( SEXP obj, SEXP win){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkRenderWindow  *  _win = (vtkRenderWindow * )  SexpToVtk(win);
    vtkPushPipeline * _obj = (vtkPushPipeline * ) SexpToVtk(obj);
    _obj->AddWindow(_win);
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_win,"vtkRenderWindow"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".win",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkPushPipeline_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkPushPipeline * res= ( vtkPushPipeline * ) vtkPushPipeline::New();
    R_res=toRPointer(res,"vtkPushPipeline");
    return(R_res);
  }
}
