#include <vtk/vtkRIBProperty.h>
extern "C" {
#include <R.h>
#include <Rinternals.h>
#include <Rdefines.h>
#include "Utils.h"
  SEXP R_vtkRIBProperty_GetClassName( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetClassName();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_IsTypeOf( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    int _res =_obj->IsTypeOf(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_IsA( SEXP obj, SEXP type){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _type =  SexpTochar(type);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    int _res =_obj->IsA(_type);
    res=intToSexp(&_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_SafeDownCast( SEXP obj, SEXP o){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     vtkObjectBase  *  _o = (vtkObjectBase * )  SexpToVtk(o);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    vtkRIBProperty *  _res =( vtkRIBProperty * )_obj->SafeDownCast(_o);
    res=VtkToSexp(_res,"vtkRIBProperty");
    PROTECT(ans = allocVector(VECSXP,2));
    PROTECT(res_names = allocVector(VECSXP,2));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,VtkToSexp(_o,"vtkObjectBase"));
    SET_VECTOR_ELT(res_names,1,charToSexp(".o",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_NewInstance( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    vtkRIBProperty *  _res =( vtkRIBProperty * )_obj->NewInstance();
    res=VtkToSexp(_res,"vtkRIBProperty");
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_SetSurfaceShader( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->SetSurfaceShader(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_GetSurfaceShader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetSurfaceShader();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_SetDisplacementShader( SEXP obj, SEXP _arg){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  __arg =  SexpTochar(_arg);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->SetDisplacementShader(__arg);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_GetDisplacementShader( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDisplacementShader();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_SetVariable( SEXP obj, SEXP variable, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _variable =  SexpTochar(variable);
     char  *  _value =  SexpTochar(value);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->SetVariable(_variable, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_variable,LENGTH(variable)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".variable",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_AddVariable( SEXP obj, SEXP variable, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _variable =  SexpTochar(variable);
     char  *  _value =  SexpTochar(value);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->AddVariable(_variable, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_variable,LENGTH(variable)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".variable",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_GetDeclarations( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetDeclarations();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_SetParameter( SEXP obj, SEXP parameter, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _parameter =  SexpTochar(parameter);
     char  *  _value =  SexpTochar(value);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->SetParameter(_parameter, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_parameter,LENGTH(parameter)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".parameter",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_AddParameter( SEXP obj, SEXP Parameter, SEXP value){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
     char  *  _Parameter =  SexpTochar(Parameter);
     char  *  _value =  SexpTochar(value);
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    _obj->AddParameter(_Parameter, _value);
    PROTECT(ans = allocVector(VECSXP,3));
    PROTECT(res_names = allocVector(VECSXP,3));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    SET_VECTOR_ELT(ans,1,charToSexp(_Parameter,LENGTH(Parameter)));
    SET_VECTOR_ELT(res_names,1,charToSexp(".Parameter",0));
    SET_VECTOR_ELT(ans,2,charToSexp(_value,LENGTH(value)));
    SET_VECTOR_ELT(res_names,2,charToSexp(".value",0));
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_GetParameters( SEXP obj){
     SEXP ans,res_names,res = NULL_USER_OBJECT;
    vtkRIBProperty * _obj = (vtkRIBProperty * ) SexpToVtk(obj);
    char *  _res =( char * )_obj->GetParameters();
    res=charToSexp(_res,1);
    PROTECT(ans = allocVector(VECSXP,1));
    PROTECT(res_names = allocVector(VECSXP,1));
    SET_VECTOR_ELT(res_names,0,charToSexp("ret.val",0));
    SET_VECTOR_ELT(ans,0,res);
    setAttrib(ans, R_NamesSymbol, res_names);
    UNPROTECT(2);
    return ans;
  }
 
  SEXP R_vtkRIBProperty_New() {
    SEXP R_res = NULL_USER_OBJECT;
    vtkRIBProperty * res= ( vtkRIBProperty * ) vtkRIBProperty::New();
    R_res=toRPointer(res,"vtkRIBProperty");
    return(R_res);
  }
}
